<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Articles_supprimes.php
 *  Date de création : avant le 12/08/2007
 *  Dernière modification : 03/09/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Droit de lire un article
if ( $droit['article_lecture'] == 0 )
{
    $page_msg = 1;
    include_once ( 'systeme/msg.' . EXT );
}


// Titre de la page
$page_titre = $langue['articles_deleted'];
$page_infos = 'Liste des articles supprimés';


$sql = "SELECT `article_id`,
               `article_titre`
        FROM `" . $database->pref . "article_article`
        WHERE `article_actif` = '0'
        ORDER BY `article_titre` ASC;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

if ( $database->NbrRowsSelected ( $req ) === 0 )
{
    $page_texte .= '<p>' . $langue['articles_no_deleted'] . "</p>\n\n";
}
else
{
    $page_texte .= "<ul>\n";

    while ( $row = $database->ResultArray ( $req ) )
    {
        $page_texte .= '  <li><a href="index.' . EXT . '?page=Article&amp;id=' . $row['article_id'] . '">' . $row['article_titre'] . '</a> : ';
        $page_texte .= '<a href="index.' . EXT . '?page=Article&amp;id=' . $row['article_id'] . '&retablir' . '">' . $langue['retablir'] . '</a>';
        $page_texte .= ' - <a href="index.' . EXT . '?page=Supprimer_un_article&amp;id=' . $row['article_id'] . '&amp;ok">Supprimer définitivement</a>';
        $page_texte .= "</li>\n";
    }

    $page_texte .= "</ul>\n";
}

?>