<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Bloquage.php
 *  Date de création : avant le 13/08/2007
 *  Dernière modification : 23/08/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Droit de super-administration
if ( $_SESSION['groupe'] != 3 )
{
    $page_msg = 14;
    include_once ( 'systeme/msg.' . EXT );
}


// Titre de la page
$page_titre = $langue['bloquage'];
$page_infos = $langue['administration_texte'];


// Traitement des données du formulaire
if ( isset ( $_GET['ok'] ) )
{
    if ( $configuration['bloquage'] == 1 )
    {
        $sql = "UPDATE `" . $database->pref . "configuration`
                SET `config_valeur` = '0'
                WHERE `config_nom`= 'Bloquage';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
    }
    else
    {
        $sql = "UPDATE `" . $database->pref . "configuration`
                SET `config_valeur` = '1'
                WHERE `config_nom`= 'Bloquage';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
    }

    header ( 'Location: index.' . EXT . '?page=Bloquage' );
    die ( -1 );
}

$page_texte .= '<p>';

if ( $configuration['bloquage'] == 1 )
{
    $page_texte .= 'Le site est actuellement fermé.';
    $page_texte .= '<p><a href="index.' . EXT . '?page=Bloquage&ok' . "\">Ouvrir le site</a></p>\n\n";
}
else
{
    $page_texte .= 'Le site est actuellement ouvert.';
    $page_texte .= '<p><a href="index.' . EXT . '?page=Bloquage&ok' . "\">Fermer le site</a></p>\n\n";
}

?>