<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Configuration.php
 *  Date de création : avant le 13/08/2007
 *  Dernière modification : 14/09/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Droit d'administration
if ( $droit['administration'] == 0 )
{
    $page_msg = 2;
    include_once ( 'systeme/msg.' . EXT );
}


// Titre de la page
$page_titre = $langue['configuration'];
$page_infos = $langue['administration_texte'];


// Le style et la langue sont ceux de l'administrateur, donc on recherche les valeurs par défaut
$sql = "SELECT `config_valeur`
        FROM `" . $database->pref . "configuration`
        WHERE `config_nom` = 'langue';";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$configuration_langue = $database->Result ( $req ,'config_valeur' );

$sql = "SELECT `config_valeur`
        FROM `" . $database->pref . "configuration`
        WHERE `config_nom` = 'style';";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$configuration_style = $database->Result ( $req , 'config_valeur' );


// Traitement des données du formulaire
if ( isset ( $_POST['submit'] ) )
{
    if ( empty ( $_POST['titre'] ) || empty ( $_POST['adresse'] ) )
    {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_oblig'] . "</p>\n\n";
    }
    else
    {
        if ( $_POST['titre'] != $configuration['titre'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['titre'] . "' WHERE `config_nom` = 'titre';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['email'] != $configuration['email'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['email'] . "' WHERE `config_nom` = 'email';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['adresse'] != $configuration['adresse'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['adresse'] . "' WHERE `config_nom` = 'adresse';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['langue'] != $configuration_langue )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['langue'] . "' WHERE `config_nom` = 'langue';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['style'] != $configuration_style )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['style'] . "' WHERE `config_nom` = 'style';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['format_date'] != $configuration['format_date'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['format_date'] . "' WHERE `config_nom` = 'format_date';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['format_heure'] != $configuration['format_heure'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['format_heure'] . "' WHERE `config_nom` = 'format_heure';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['upload_taille'] != $configuration['upload_taille'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['upload_taille'] . "' WHERE `config_nom` = 'upload_taille';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['upload_total'] != $configuration['upload_total'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['upload_total'] . "' WHERE `config_nom` = 'upload_total';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['upload_extensions'] != $configuration['upload_extensions'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $database->Protege ( $_POST['upload_extensions'] ) . "' WHERE `config_nom` = 'upload_extensions';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['liens'] != $configuration['liens'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['liens'] . "' WHERE `config_nom` = 'liens';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['copyright'] != $configuration['copyright'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['copyright'] . "' WHERE `config_nom` = 'copyright';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['membres_page'] != $configuration['membres_page'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['membres_page'] . "' WHERE `config_nom` = 'membres_page';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['msg_page'] != $configuration['msg_page'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['msg_page'] . "' WHERE `config_nom` = 'msg_page';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['sujet_page'] != $configuration['sujet_page'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['sujet_page'] . "' WHERE `config_nom` = 'sujet_page';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['messages_page'] != $configuration['messages_page'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['messages_page'] . "' WHERE `config_nom` = 'messages_page';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['numero_debut'] != $configuration['numero_debut'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['numero_debut'] . "' WHERE `config_nom` = 'numero_debut';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['numero_debut'] != $configuration['numero_debut'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['numero_autour'] . "' WHERE `config_nom` = 'numero_autour';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['numero_fin'] != $configuration['numero_fin'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['numero_fin'] . "' WHERE `config_nom` = 'numero_fin';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['commentaires_page'] != $configuration['commentaires_page'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['commentaires_page'] . "' WHERE `config_nom` = 'commentaires_page';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['tps_sujet'] != $configuration['tps_sujet'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['tps_sujet'] . "' WHERE `config_nom` = 'tps_sujet';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['tps_sujet'] != $configuration['tps_msg'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $_POST['tps_msg'] . "' WHERE `config_nom` = 'tps_msg';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['tps_msg'] != $configuration['tps_msg'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $database->Protege ( $_POST['tps_msg'] ) . "' WHERE `config_nom` = 'tps_msg';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['tps_msg_up'] != $configuration['tps_msg_up'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $database->Protege ( $_POST['tps_msg_up'] ) . "' WHERE `config_nom` = 'tps_msg_up';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['navigation'] != $configuration['navigation'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $database->Protege ( $_POST['navigation'] ) . "' WHERE `config_nom` = 'navigation';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( isset ( $_POST['captcha'] ) && $configuration['captcha'] == 0 )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '1' WHERE `config_nom` = 'captcha';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }
        else if ( !isset ( $_POST['captcha'] ) && $configuration['captcha'] == 1 )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '0' WHERE `config_nom` = 'captcha';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['stat_count'] != $configuration['stat_count'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $database->Protege ( $_POST['stat_count'] ) . "' WHERE `config_nom` = 'stat_count';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['stat_time'] != $configuration['stat_time'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $database->Protege ( $_POST['stat_time'] ) . "' WHERE `config_nom` = 'stat_time';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        $groupes = '';

        foreach ( $_POST['equipe'] as $groupe )
        {
            $groupes .= ';' . $groupe;
        }

        $groupes = preg_replace ( "#^;(.+)$#" , "$1" , $groupes );

        if ( $groupes != $configuration['equipe'] )
        {
            $sql = "UPDATE `" . $database->pref . "configuration` SET `config_valeur` = '" . $groupes . "' WHERE `config_nom` = 'equipe';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        header ( 'Location: index.' . EXT . '?page=Configuration' );
        die ( -1 );
    }
}


$page_texte .= '<form action="index.' . EXT . '?page=Configuration" method="post" title="' . $langue['configuration'] . "\">

<fieldset>
<legend>Configuration générale</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_titre\">Titre du site&nbsp;:</label><input type=\"text\" size=\"30\" name=\"titre\" id=\"id_titre\" value=\"" . $configuration['titre'] . "\" tabindex=\"10\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_adresse\">Adresse du site&nbsp;:</label><input type=\"text\" size=\"30\" name=\"adresse\" id=\"id_adresse\" value=\"" . $configuration['adresse'] . "\" tabindex=\"11\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_email\">Adresse e-mail&nbsp;:</label><input type=\"text\" size=\"30\" name=\"email\" id=\"id_email\" value=\"" . $configuration['email'] . "\" tabindex=\"12\" /></p>
";

// Langues
$page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_langue\">Langue par défaut&nbsp;:</label>
<select name=\"langue\" id=\"id_langue\" tabindex=\"13\">\n";
$page_texte .= $site->FormSelect ( $langues , $configuration_langue );
$page_texte .= "</select></p>\n";

// Styles
$page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_style\">Style par défaut&nbsp;:</label>
<select name=\"style\" id=\"id_style\" tabindex=\"14\">\n";
$page_texte .= $site->FormSelect ( $themes , $configuration_style );
$page_texte .= "</select></p>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_navigation\">Barre de navigation&nbsp;:</label><input type=\"text\" size=\"50\" name=\"navigation\" id=\"id_navigation\" value=\"" . $configuration['navigation'] . "\" tabindex=\"15\" /> <small>Séparées par un point-virgule.</small></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_equipe\">Groupes affichés dans la page de l'équipe&nbsp;:</label>
<select name=\"equipe[]\" id=\"id_equipe\" multiple=\"multiple\" size=\"4\" tabindex=\"16\">\n";

// Groupes affichés dans la page Équipe
$gr1 = explode ( ';' , $configuration['equipe'] );
$gr2 = array ();

foreach ( $gr1 as $groupe )
{
    $gr2[$groupe] = 1;
}

$sql = "SELECT `groupe_id`,
               `groupe_nom`
               FROM `" . $database->pref . "groupes`
               WHERE `groupe_id` <> '1'
               ORDER BY `groupe_nom` ASC;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

while ( $row = $database->ResultArray ( $req ) )
{
    $page_texte .= '  <option value="' . $row['groupe_id'] . '"';

    if ( isset ( $gr2[$row['groupe_id']] ) )
    {
        $page_texte .= ' selected="selected"';
    }

    $page_texte .= '>' . $row['groupe_nom'] . "</option>\n";
}

$page_texte .= "</select></p>

</fieldset>

<fieldset>
<legend>Statistiques</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_stat_count\">Méthode de calcul&nbsp;:</label><select name=\"stat_count\" id=\"id_stat_count\" tabindex=\"17\">\n";
$page_texte .= $site->FormSelect ( array ( 'Pages vues' => 'hits' , 'Visites' => 'visite' ) , $configuration['stat_count'] );
$page_texte .= "</select></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_stat_time\">Durée d'une visite&nbsp;:</label><input name=\"stat_time\" id=\"id_stat_time\" value=\"" . $configuration['stat_time'] . "\" size=\"10\" type=\"text\" maxlength=\"4\" tabindex=\"18\" /> <small>secondes.</small></p>

</fieldset>

<fieldset>
<legend>Membres</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_nbr_msg\">Nombre maximal de messages privés&nbsp;:</label><input type=\"text\" size=\"10\" name=\"nbr_msg\" id=\"id_nbr_msg\" value=\"" . $configuration['nbr_msg'] . "\" maxlength=\"6\" tabindex=\"19\" /></p>
<p class=\"form_input\"><input type=\"checkbox\" name=\"captcha\" tabindex=\"20\" id=\"id_captcha\"";
if ( $configuration['captcha'] == 1 ) $page_texte .= ' checked="checked"';
$page_texte .= "/><label for=\"id_captcha\">Protection anti-robots à l'inscription</label></p>

</fieldset>

<fieldset>
<legend>Durées d'attentes</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_tps_sujet\">Nouveau sujet (flood)&nbsp;:</label><input name=\"tps_sujet\" id=\"id_tps_sujet\" value=\"" . $configuration['tps_sujet'] . "\" size=\"10\" type=\"text\" maxlength=\"6\" tabindex=\"21\" /> <small>secondes. (Temps d'attente après avoir crée un sujet pour pouvoir en créer un nouveau sur un même forum.)</small></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_tps_msg\">Nouvelle réponse (flood)&nbsp;:</label><input name=\"tps_msg\" id=\"id_tps_msg\" value=\"" . $configuration['tps_msg'] . "\" size=\"10\" type=\"text\" maxlength=\"6\" tabindex=\"22\" /> <small>secondes. (Temps d'attente après avoir posté une réponse pour pouvoir en poster une nouvelle sur un même sujet.)</small></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_tps_msg_up\">Nouvelle réponse (up)&nbsp;:</label><input name=\"tps_msg_up\" id=\"id_tps_msg_up\" value=\"" . $configuration['tps_msg_up'] . "\" size=\"10\" type=\"text\" maxlength=\"6\" tabindex=\"23\" /> <small>secondes. (Temps d'attente pour pouvoir poster une réponse à un sujet si on est l'auteur de la dernière réponse.)</small></p>

</fieldset>

<fieldset>
<legend>Format des dates</legend>

<p>Utilisez les symboles de la fonction <a href=\"http://fr.php.net/date\">date</a>.</p>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_format_date\">" . $langue['date'] . "&nbsp;:</label><input type=\"text\" size=\"30\" name=\"format_date\" id=\"id_format_date\" value=\"" . $configuration['format_date'] . "\" tabindex=\"24\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_format_heure\">Heure&nbsp;:</label><input type=\"text\" size=\"30\" name=\"format_heure\" id=\"id_format_heure\" value=\"" . $configuration['format_heure'] . "\" tabindex=\"25\" /></p>

</fieldset>

<fieldset>
<legend>Envoi de fichiers</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_upload_taille\">Taille limite par fichier&nbsp;:</label><input type=\"text\" size=\"10\" name=\"upload_taille\" id=\"id_upload_taille\" value=\"" . $configuration['upload_taille'] . "\" tabindex=\"26\" /> <small>octets.</small></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_upload_total\">Taille totale&nbsp;:</label><input type=\"text\" size=\"10\" name=\"upload_total\" id=\"id_upload_total\" value=\"" . $configuration['upload_total'] . "\" tabindex=\"27\" /> <small>octets.</small></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_upload_extensions\">Extensions autorisées&nbsp;:</label><input type=\"text\" size=\"30\" name=\"upload_extensions\" id=\"id_upload_extensions\" value=\"" . $configuration['upload_extensions'] . "\" tabindex=\"28\" /> <small>Séparées par un point-virgule.</small></p>

</fieldset>

<fieldset>
<legend>Nombre d'entrées par page</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_membres_pages\">Liste des membres ou des visiteurs&nbsp;:</label><input type=\"text\" size=\"10\" name=\"membres_page\" id=\"id_membres_page\" value=\"" . $configuration['membres_page'] . "\" maxlength=\"4\" tabindex=\"29\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_msg_pages\">Messages d'un sujet&nbsp;:</label><input type=\"text\" size=\"10\" name=\"msg_page\" id=\"id_msg_page\" value=\"" . $configuration['msg_page'] . "\" maxlength=\"4\" tabindex=\"30\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_sujet_pages\">Sujets d'un forum&nbsp;:</label><input type=\"text\" size=\"10\" name=\"sujet_page\" id=\"id_sujet_page\" value=\"" . $configuration['sujet_page'] . "\" maxlength=\"4\" tabindex=\"31\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_news_pages\">News en page d'accueil&nbsp;:</label><input type=\"text\" size=\"10\" name=\"news_page\" id=\"id_news_page\" value=\"" . $configuration['news_page'] . "\" maxlength=\"4\" tabindex=\"32\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_messages_pages\">Messages privés&nbsp;:</label><input type=\"text\" size=\"10\" name=\"messages_page\" id=\"id_messages_page\" value=\"" . $configuration['messages_page'] . "\" maxlength=\"4\" tabindex=\"33\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_commentaires_pages\">Commentaires des news ou des articles&nbsp;:</label><input type=\"text\" size=\"10\" name=\"commentaires_page\" id=\"id_commentaires_page\" value=\"" . $configuration['commentaires_page'] . "\" maxlength=\"4\" tabindex=\"34\" /></p>

</fieldset>

<fieldset>
<legend>Affichage des numéros de page</legend>\n\n";

if ( is_file ( 'themes/' . $configuration['style'] . '/images/exemple_numero_pages.png' ) )
{
    $page_texte .= "<p><img src=\"themes/" . $configuration['style'] . "/images/exemple_numero_pages.png\" alt=\"\" title=\"Exemple d'affichage des numéros de page\" /></p>\n\n";
}

$page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_numero_debut\">Premières pages&nbsp;:</label><input type=\"text\" size=\"10\" name=\"numero_debut\" id=\"id_numero_debut\" value=\"" . $configuration['numero_debut'] . "\" tabindex=\"35\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_numero_fin\">Dernières pages&nbsp;:</label><input type=\"text\" size=\"10\" name=\"numero_fin\" id=\"id_numero_fin\" value=\"" . $configuration['numero_fin'] . "\" tabindex=\"36\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_numero_autour\">Autour de la page en cours&nbsp;:</label><input type=\"text\" size=\"10\" name=\"numero_autour\" id=\"id_numero_autour\" value=\"" . $configuration['numero_autour'] . "\" tabindex=\"37\" /></p>

</fieldset>

<fieldset>
<legend>Texte du bas de la page</legend>

<p>Utilisez du HTML pour la mise en forme.</p>

<p class=\"form_input\"><label for=\"id_liens\">Liens&nbsp;:</label></p>
<textarea name=\"liens\" id=\"id_liens\" tabindex=\"38\">" . $configuration['liens'] . "</textarea>
<p class=\"form_input\"><label for=\"id_copyright\">Copyright&nbsp;:</label></p>
<textarea name=\"copyright\" id=\"id_copyright\" tabindex=\"39\">" . $configuration['copyright'] . "</textarea>

</fieldset>

<p class=\"centre\"><input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" tabindex=\"40\" /></p>

</form>
";

?>