<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Contact.php
 *  Date de création : 03/09/2007
 *  Dernière modification : 07/09/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Titre de la page
$page_titre = 'Formulaire de contact';
$page_infos = 'Formulaire de contact';


$page_texte .= "<p>Vous pouvez envoyer un message à l'équipe du site grâce à ce formulaire. Utilisez-le si vous rencontrez un problème pour vous inscrire ou vous connecter, ou si vous avez une proposition ou une remarque à faire. Si vous être confronté à un problème venant du logiciel, utilisez plutôt le forum <a href=\"http://tagadash.free.fr/redirect.php?p=Forums&amp;id=1\">Rapport de bugs</a> du site <a href=\"http://tagadash.free.fr/\">Tagadash</a>.</p>\n\n";


// Traitement du formulaire
if ( isset ( $_POST['submit'] ) )
{
    if ( empty ( $_POST['email'] ) || empty ( $_POST['titre'] ) || empty ( $_POST['texte'] ) )
    {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_oblig'] . "</p>\n\n";
    }
    else if ( !preg_match ( "#^([a-z0-9._-]+@[a-z0-9._-]{2,}\.[a-z]{2,4})$#i" , $_POST['email'] ) )
    {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_email_format'] . "</p>\n\n";
    }
    else
    {
        $sql = "INSERT INTO `" . $database->pref . "contact`
                (`contact_auteur`, `contact_email`, `contact_time`, `contact_titre`, `contact_texte`)
                VALUES
                ('" . $database->Protege ( $_POST['nom'] ) . "', '" . $database->Protege ( $_POST['email'] ) . "', '" . $time . "', '" . $database->Protege ( $_POST['titre'] ) . "', '" . $database->Protege ( $_POST['texte'] ) . "');";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // À faire : notification par e-mail aux admins
        
        $page_texte .= "<p>Votre message a été envoyé à l'équipe du site. Merci.</p>\n\n";
    }
}


$page_texte .= "<form action=\"index." . EXT . "?page=Contact\" method=\"post\" title=\"Nous contacter\">";
$page_texte .= "<fieldset>\n<legend>Nous contacter</legend>\n\n";
$page_texte .= "<p class=\"form_input\"><label for=\"id_email\" class=\"form_label\">Votre adresse e-mail&nbsp;:</label> <input type=\"text\" name=\"email\" id=\"id_email\" size=\"30\" maxlength=\"50\" value=\"";

if ( $_SESSION['groupe'] != 1 )
{
    $sql = "SELECT `membre_email`
            FROM `" . $database->pref . "membres`
            WHERE `membre_id` = '" . $_SESSION['membre_id'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    $page_texte .= $database->Result ( $req , 'membre_email' );
}

$page_texte .= "\" tabindex=\"10\" /></p>\n";
$page_texte .= "<p class=\"form_input\"><label for=\"id_nom\" class=\"form_label\">Votre nom&nbsp;:</label> <input type=\"text\" name=\"nom\" id=\"id_nom\" size=\"30\" maxlength=\"20\" value=\"";

if ( $_SESSION['groupe'] != 1 )
{
    $page_texte .= $_SESSION['membre'];
}

$page_texte .= "\" tabindex=\"11\" /></p>\n";
$page_texte .= "<p class=\"form_input\"><label for=\"id_titre\" class=\"form_label\">Titre du message&nbsp;:</label> <input type=\"text\" name=\"titre\" id=\"id_titre\" size=\"30\" maxlength=\"50\" value=\"\" tabindex=\"12\" /></p>\n\n";
$page_texte .= "<textarea name=\"texte\" id=\"id_texte\" cols=\"40\" rows=\"8\" tabindex=\"13\"></textarea>\n\n";
$page_texte .= "</fieldset>\n\n";
$page_texte .= "<p class=\"centre\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" accesskey=\"s\" /></p>\n\n";
$page_texte .= "</form>\n";

?>