<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Deconnexion.php
 *  Date de création : avant le 10/08/2007
 *  Dernière modification : 23/08/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


if ( $_SESSION['groupe'] == 1 )
{
    $page_msg = 21;
    include_once ( 'systeme/msg.' . EXT );
}

// Le super-administrateur ne peut pas se déconnecter en cas de bloquage
if ( $_SESSION['groupe'] == 3 && $configuration['bloquage'] == 1 )
{
    $page_msg = 22;
    include_once ( 'systeme/msg.' . EXT );
}


// Suppression des variables de session
session_destroy ();

// Suppression des cookies
setcookie ( 'membre_nom' );
setcookie ( 'membre_id' );
setcookie ( 'membre_mdp' );


header ( 'Location: index.' . EXT );
die ( -1 );

?>