<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Equipe.php
 *  Date de création : 09/09/2007
 *  Dernière modification : 14/09/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}



// Titre de la page
$page_titre = 'Membres de l\'équipe';
$page_infos = 'Membres de l\'équipe';


$page_texte .= "<p>Voici la liste des membres qui font vivre le site.</p>\n\n";


// On récupère les groupes à afficher
$groupes = explode ( ';' , $configuration['equipe'] );


foreach ( $groupes as $groupe )
{
    $sql = "SELECT `groupe_nom`
            FROM `" . $database->pref . "groupes`
            WHERE `groupe_id` = '" . $groupe . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    // On regarde si le groupe existe
    if ( $database->NbrRowsSelected ( $req ) > 0 )
    {
        $row = $database->ResultArray ( $req );

        $page_texte .= '<h2>' . $row['groupe_nom'] . "</h2>\n\n";
        $page_texte .= "<table>\n\n<thead>\n<tr>\n";
        $page_texte .= "  <th class=\"equipe_avatar\">Avatar</th>\n";
        $page_texte .= "  <th class=\"equipe_nom\">Nom d'utilisateur</th>\n";
        $page_texte .= "  <th class=\"equipe_visite\">Dernière visite</th>\n";
        $page_texte .= "</tr>\n</thead>\n\n<tbody>\n";

        $sql = "SELECT `membre_id`,
                       `membre_nom`,
                       `membre_avatar`,
                       `membre_visite`
                FROM `" . $database->pref . "membres`
                WHERE `membre_groupe` = '" . $groupe . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // On regarde s'il y a des membres dans ce groupe
        if ( $database->NbrRowsSelected ( $req ) > 0 )
        {
            while ( $row = $database->ResultArray ( $req ) )
            {
                $page_texte .= "<tr>\n  <td class=\"centre\">";

                if ( !empty ( $row['membre_avatar'] ) )
                {
                    if ( is_file ( 'fichiers/thumbs/100px-' . $row['membre_avatar'] ) )
                    {
                        $page_texte .= '<img src="fichiers/thumbs/100px-' . $row['membre_avatar'] . '" alt="[Avatar]" title="' . $langue['avatar_of'] . $row['membre_nom'] . '" />';
                    }
                    else if ( is_file ( 'fichiers/' . $row['membre_avatar'] ) )
                    {
                        $page_texte .= '<img src="fichiers/' . $row['membre_avatar'] . '" alt="[Avatar]" title="' . $langue['avatar_of'] . $row['membre_nom'] . '" />';
                    }
                }

                $page_texte .= "</td>\n  <td><a href=\"index." . EXT . "?page=Membre&amp;id=" . $row['membre_id'] . "\">" . $row['membre_nom'] . "</a></td>\n  <td class=\"centre\">" . date ( $configuration['format_date'] , $row['membre_visite'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['membre_visite'] ) . "</td>\n</tr>\n";
            }
        }
        else
        {
            $page_texte .= "<tr>\n  <td colspan=\"3\">Il n'y a aucun membre dans ce groupe</td>\n</tr>\n";
        }

        $page_texte .= "</tbody>\n\n</table>\n\n";
    }
}

?>