<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Historique.php
 *  Date de création : avant le 12/08/2007
 *  Dernière modification : 24/08/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


if ( !isset ( $_GET['id'] ) )
{
    header ( 'Location: index.' . EXT . '?page=Liste_des_articles' );
    die ( -1 );
}

$sql = "SELECT `article_titre`,
               `article_auteur`,
               `article_modification`,
               `membre_nom`
        FROM `" . $database->pref . "article_article`
        LEFT JOIN `" . $database->pref . "membres`
            ON `membre_id` = `article_auteur`
        WHERE `article_id` = '" . $_GET['id'] . "';";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


// On regarde si l'article existe
if ( $database->NbrRowsSelected ( $req ) === 0 )
{
    header ( 'Location: index.' . EXT . '?page=Liste_des_articles' );
    die ( -1 );
}

$row = $database->ResultArray ( $req );

$article = $row['article_titre'];
$auteur = $row['article_auteur'];


// Titre de la page
$page_titre = $langue['historique_of'] . $article;
$page_infos = $langue['historique_of'] . $article;


// Liste des différentes versions de la page
$page_texte .= "<ul>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] . '">' . date ( $configuration['format_date'] , $row['article_modification'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['article_modification'] ) . '</a> : <a href="' . 'index.' . EXT . '?page=Membre&amp;id=' . $row['article_auteur'] . "\"title=\"" . $langue['view_fiche'] . $row['membre_nom'] . '">' . $row['membre_nom'] . "</a> [Version actuelle]</li>\n";


$sql = "SELECT `historique_id`,
               `historique_time`,
               `historique_auteur`,
               `membre_nom`
        FROM `" . $database->pref . "article_historique`
        LEFT JOIN `" . $database->pref . "membres`
            ON `membre_id` = `historique_auteur`
        WHERE `historique_article` = '" . $_GET['id'] . "'
        ORDER BY `historique_time` DESC;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

while ( $row = $database->ResultArray ( $req ) )
{
    $page_texte .= '  <li><a href="index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] . '&amp;version=' . $row['historique_id'] . '">' . date ( $configuration['format_date'] , $row['historique_time'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['historique_time'] ) . "</a> : <a href=\"" . 'index.' . EXT . '?page=Membre&amp;id=' . $row['historique_auteur'] . "\" title=\"" . $langue['view_fiche'] . $row['membre_nom'] . '">' . $row['membre_nom'] . "</a></li>\n";
}

$page_texte .= "</ul>\n";

// Si on a le droit, on affiche les boutons "éditer" et "supprimer"
if ( ( $droit['article_edition'] && $auteur == $_SESSION['membre_id'] ) || $_SESSION['groupe'] == 3 )
{
    $menu_article_editer = '  <li><a href="index.' . EXT . '?page=Editer_un_article&amp;id=' . $_GET['id'] . "\" title=\"" . $langue['editer_article'] . '">' . $langue['editer'] . "</a></li>\n";
    if ( $article != 'Accueil' ) $menu_article_supprimer = '  <li><a href="index.' . EXT . '?page=Supprimer_un_article&amp;id=' . $_GET['id'] . "\" title=\"" . $langue['supprimer_article'] . '">' . $langue['supprimer'] . "</a></li>\n";
}

// Le bouton "historique" devient "voir l'article"
$menu_article_historique = "\n  <li><a href=\"" . 'index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] . "\" title=\"" . $article . '">' . $langue['view_article'] . "</a></li>";

?>