<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Membres_supprimes.php
 *  Date de création : 17/08/2007
 *  Dernière modification : 30/08/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Droit d'administration
if ( $droit['administration'] == 0 )
{
    $page_msg = 2;
    include_once ( 'systeme/msg.' . EXT );
}


// Titre de la page
$page_titre = 'Liste des membres supprimés';
$page_infos = 'Liste des membres supprimés';


$sql = "SELECT `membre_id`,
               `membre_nom`
        FROM `" . $database->pref . "membres`
        WHERE `membre_actif` = '0'
        ORDER BY `membre_nom` ASC;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

if ( $database->NbrRowsSelected ( $req ) === 0 )
{
    $page_texte .= "\n<p>Il n'y a aucun membre supprimé.</p>\n";
}
else
{
    $page_texte .= "\n<ul>\n";

    while ( $row = $database->ResultArray ( $req ) )
    {
        $page_texte .= '  <li><a href="index.' . EXT . '?page=Membre&amp;id=' . $row['membre_id'] . '">' . $row['membre_nom'] . '</a> : ';
        $page_texte .= '<a href="index.' . EXT . '?page=Supprimer_un_membre&amp;id=' . $row['membre_id'] . "&retablir\">" . $langue['retablir'] . '</a>';
        $page_texte .= ' - <a href="index.' . EXT . '?page=Supprimer_un_membre&amp;id=' . $row['membre_id'] . '&delete">Supprimer définitivement</a>';
        $page_texte .= "</li>\n";
    }

    $page_texte .= "</ul>\n";
}

?>