<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Messages.php
 *  Date de création : avant le 13/08/2007
 *  Dernière modification : 14/09/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Auteur du message ou du sujet
if ( $_SESSION['groupe'] != 1 )
{
    $auteur = $_SESSION['membre_id'];
}
else
{
    $auteur = 0;
}


if ( isset ( $_GET['action'] ) )
{
    $action = $_GET['action'];
}
else
{
    header ( 'Location: index.' . EXT . '?page=Forums' );
    die ( -1 );
}


switch ( $_GET['action'] )
{
    default:

        header ( 'Location: index.' . EXT . '?page=Forums' );
        die ( -1 );


    // Mettre un sujet en favori ou l'enlever
    case 'fav':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Forums' );
            die ( -1 );
        }

        $sql = "SELECT COUNT(*) AS `count`
                FROM `" . $database->pref . "forum_sujet`
                WHERE `sujet_id` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->Result ( $req , 'count' ) == 0 )
        {
            header ( 'Location: index.' . EXT . '?page=Forums' );
            die ( -1 );
        }

        if ( $_SESSION['groupe'] == 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Sujets&id=' . $_GET['id'] );
            die ( -1 );
        }

        $sql = "SELECT COUNT(*) AS `count`
                FROM `" . $database->pref . "forum_fav`
                WHERE
                        `fav_sujet` = '" . $_GET['id'] . "'
                    AND `fav_membre` = '" . $_SESSION['membre_id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Le sujet n'est pas dans les favoris
        if ( $database->Result ( $req , 'count' ) == 0 )
        {
            $sql = "INSERT INTO `" . $database->pref . "forum_fav`
                    (`fav_sujet`, `fav_membre`)
                    VALUES
                    ('" . $_GET['id'] . "', '" . $_SESSION['membre_id'] . "');";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }
        else
        {
            $sql = "DELETE FROM `" . $database->pref . "forum_fav`
                    WHERE
                            `fav_sujet` = '" . $_GET['id'] . "'
                        AND `fav_membre` = '" . $_SESSION['membre_id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        header ( 'Location: index.' . EXT . '?page=Sujets&id=' . $_GET['id'] );
        die ( -1 );

        break;


    // Déplacer un sujet
    case 'deplacer':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Forums' );
            die ( -1 );
        }

        if ( $droit['deplacer_sujet'] == 0 )
        {
            $page_msg = 24;
            include_once ( 'systeme/msg.' . EXT );
        }

        // On vérifie que le sujet existe
        $sql = "SELECT `sujet_forum`,
                       `sujet_nbr_msg`,
                       `sujet_last_msg`
                FROM `" . $database->pref . "forum_sujet`
                WHERE `sujet_id` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) === 0 )
        {
            header ( 'Location: index.' . EXT . '?page=Forums' );
            die ( -1 );
        }

        $row = $database->ResultArray ( $req );

        $forum = $row['sujet_forum'];
        $nbr_msg = $row['sujet_nbr_msg'];
        $last_msg_old = $row['sujet_last_msg'];

        if ( isset ( $_POST['submit'] ) )
        {
            // Mise-à-jour des messages
            $sql = "UPDATE `" . $database->pref . "forum_msg`
                    SET `forum_msg_forum` = '" . $_POST['forum'] . "'
                    WHERE `forum_msg_sujet` = '" . $_GET['id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            // Mise-à-jour du sujet
            $sql = "UPDATE `" . $database->pref . "forum_sujet`
                    SET `sujet_forum` = '" . $_POST['forum'] . "'
                    WHERE `sujet_id` = '" . $_GET['id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            // Dernier message de l'ancien forum
            $sql = "SELECT `forum_msg_id`
                    FROM `" . $database->pref . "forum_msg`
                    WHERE `forum_msg_forum` = '" . $forum . "'
                    ORDER BY `forum_msg_time` DESC";

            //=>MYSQL
                if ( SGBD == 'mysql' ) $sql .= ' LIMIT 0, 1';
                $sql .= ';';
            //=>END

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            for ( $sql_limit = 0 ; $sql_limit < 1 ; $sql_limit++ )
            {
                $last_msg_new = $database->Result ( $req , 'forum_msg_id' );
            }

            // Mise-à-jour de l'ancien forum
            $sql = "UPDATE `" . $database->pref . "forum_forum`
                    SET `forum_nbr_sujet` = `forum_nbr_sujet` - 1,
                        `forum_nbr_msg` = `forum_nbr_msg` - " . $nbr_msg . ",
                        `forum_last_msg` = '" . $last_msg_new . "'
                    WHERE `forum_id` = '" . $forum . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            // Mise-à-jour du nouveau forum
            $sql = "UPDATE `" . $database->pref . "forum_forum`
                    SET `forum_nbr_sujet` = `forum_nbr_sujet` + 1,
                        `forum_nbr_msg` = `forum_nbr_msg` + " . $nbr_msg . ",
                        `forum_last_msg` = '" . $last_msg_old . "'
                    WHERE `forum_id` = '" . $_POST['forum'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            $sql = "SELECT `sujet_titre`,
                           `sujet_auteur`,
                           `sujet_time`
                    FROM `" . $database->pref . "forum_sujet`
                    WHERE `sujet_id` = '" . $_GET['id'] . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            $row = $database->ResultArray ( $req );

            // Création d'un sujet vide (pour indiquer un sujet déplacé)
            $sql = "INSERT INTO `" . $database->pref . "forum_sujet`
                    (`sujet_titre`, `sujet_forum`, `sujet_auteur`, `sujet_time`, `sujet_compteur`, `sujet_epingle`, `sujet_ferme`, `sujet_last_msg`, `sujet_first_msg`, `sujet_nbr_msg`, `sujet_deplace`)
                    VALUES
                    ('" . $row['sujet_titre'] . "', '" . $forum . "', '" . $row['sujet_auteur'] . "', '" . $row['sujet_time'] . "', '0', '0', '0', '0', '0', '" . $nbr_msg . "', '" . $_GET['id'] . "');";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            header ( 'Location: index.' . EXT . '?page=Sujets&id=' . $_GET['id'] );
            die ( -1 );
        }

        $page_titre = 'Déplacer un sujet';
        $page_infos = 'Déplacer un sujet';

        $sql = "SELECT `forum_id`,
                       `forum_nom`,
                       `forum_categorie`,
                       `forum_cat_nom`
                FROM `forum_forum`
                LEFT JOIN `forum_cat`
                    ON `forum_cat_id` = `forum_categorie`
                WHERE `forum_id` <> '" . $forum . "'
                ORDER BY
                    `forum_cat_ordre` ASC,
                    `forum_ordre` ASC;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) > 0 )
        {
            $page_texte .= '<form action="index.' . EXT . '?page=Messages&amp;action=deplacer&amp;id=' . $_GET['id'] . "\" method=\"post\" title=\"Déplacer un sujet\">\n\n";
            $page_texte .= "<fieldset>\n<legend>Déplacer un sujet</legend>\n\n";
            $page_texte .= "<p class=\"form_input\"><label for=\"id_forum\">Forum de destination&nbsp;:</label> <select name=\"forum\" id=\"id_forum\">\n";

            $categorie = 0;

            while ( $row = $database->ResultArray ( $req ) )
            {
                if ( $row['forum_categorie'] != $categorie )
                {
                    if ( isset ( $go_here ) ) $page_texte .= "  </optgroup>\n";
                    $page_texte .= "\n  <optgroup label=\"" . $row['forum_cat_nom'] . "\">\n";
                    $categorie = $row['forum_categorie'];
                }

                $go_here = 1;

                $page_texte .= '    <option value="' . $row['forum_id'] . '">' . $row['forum_nom'] . "</option>\n";
            }
            
            $page_texte .= "  </optgroup>\n\n</select> ";
            $page_texte .= "<input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" /></p>\n\n";
            $page_texte .= "</fieldset>\n\n</form>\n";
        }
        else
        {
            header ( 'Location: index.' . EXT . '?page=Sujets&id=' . $_GET['id'] );
            die ( -1 );
        }

        break;

    // Créationd'un nouveau sujet
    case 'nouveau_sujet':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Forums' );
            die ( -1 );
        }

        // Droit de créer un sujet
        if ( $droit['sujet_edition'] == 0 && $droit['sujet_edition_auteur'] == 0 )
        {
            $page_msg = 7;
            include_once ( 'systeme/msg.' . EXT );
        }

        // On vérifie que le forum existe
        $sql = "SELECT COUNT(*) AS `count`
                FROM `" . $database->pref . "forum_forum`
                WHERE `forum_id` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->Result ( $req , 'count' ) == 0 )
        {
            header ( 'Location: index.' . EXT . '?page=Forums' );
            die ( -1 );
        }

        // On regarde de quand date le dernier sujet de cet auteur dans ce forum
        $sql = "SELECT COUNT(*) AS `count`
                FROM `" . $database->pref . "forum_sujet`
                WHERE
                        `sujet_auteur` = '" . $auteur . "'
                    AND `sujet_forum` = '" . $_GET['id'] . "'
                    AND `sujet_time` > '" . ( $time - $configuration['tps_sujet'] ) . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->Result ( $req , 'count' ) > 0 )
        {
            $page_msg = 15;
            include_once ( 'systeme/msg.' . EXT );
        }

        $form_champ_sujet = '';


        // Traitement des données du formulaire
        if ( isset ( $_POST['submit'] ) )
        {
            $form_champ_sujet = $_POST['sujet'];
            $form_champ_texte = $_POST['texte'];

            // On vérifie que le sujet ou le texte n'est pas vide
            if ( empty ( $_POST['sujet'] ) || trim ( $_POST['sujet'] ) == '' || empty ( $_POST['texte'] ) || trim ( $_POST['texte'] ) == '' )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else
            {
                $auteur = ( $_SESSION['groupe'] != 1 ) ? $_SESSION['membre_id'] : 0;
                $epingle =  ( isset ( $_POST['epingle'] ) ) ? 1 : 0;

                // On ajoute le sujet dans la base
                $sql = "INSERT INTO `" . $database->pref . "forum_sujet`
                        (`sujet_titre`, `sujet_forum`, `sujet_auteur`, `sujet_time`, `sujet_compteur`, `sujet_epingle`, `sujet_ferme`, `sujet_last_msg`, `sujet_first_msg`, `sujet_nbr_msg`)
                        VALUES
                        ('" . $database->Protege ( $_POST['sujet'] ) . "', '" . $_GET['id'] . "', '" . $auteur . "', '" . $time . "', '0', '" . $epingle . "', '0', '0', '0', '1');";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // On recherche l'identifiant de ce nouveau sujet
                $sujet = $database->LastInsertId ( $req );

                // On ajoute le message dans la base
                $sql = "INSERT INTO `" . $database->pref . "forum_msg`
                        (`forum_msg_auteur`, `forum_msg_texte`, `forum_msg_time`, `forum_msg_sujet`, `forum_msg_forum`)
                        VALUES
                        ('" . $auteur . "', '" . $database->Protege ( $_POST['texte'] ) . "', '" . $time . "', '" . $sujet . "', '" . $_GET['id'] . "');";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // On recherche l'identifiant de ce nouveau message
                $message = $database->LastInsertId ( $req );

                // On modifie le sujet pour y mettre le numéro du message
                $sql = "UPDATE `" . $database->pref . "forum_sujet`
                        SET `sujet_first_msg` = '" . $message . "',
                            `sujet_last_msg` = '" . $message . "'
                        WHERE `sujet_id` = '" . $sujet . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // On met-à-jour les informations du forum
                $sql = "UPDATE `" . $database->pref . "forum_forum`
                        SET `forum_nbr_msg` = `forum_nbr_msg` + 1,
                            `forum_nbr_sujet` = `forum_nbr_sujet` + 1,
                            `forum_last_msg` = '" . $message . "'
                        WHERE `forum_id` = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // On ajoute une ligne dans la table des sujet lus/non lus
                if ( $_SESSION['groupe'] != 1 )
                {
                    $sql = "INSERT INTO `" . $database->pref . "forum_sujet_view`
                            (`sv_sujet`, `sv_message`, `sv_membre`, `sv_participe`)
                            VALUES
                            ('" . $sujet . "', '" . $message . "', '" . $_SESSION['membre_id'] . "', '1');";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                }

                header ( 'Location: index.' . EXT . '?page=Sujets&msg=' . $message );
                die ( -1 );
            }
        }


        // Titre de la page
        $page_titre = $langue['nouveau_sujet'];
        $page_infos = $langue['nouveau_sujet'];


        // Ouverture du formulaire
        $form_adresse = 'index.' . EXT . '?page=Messages&amp;action=nouveau_sujet&amp;id=' . $_GET['id'];
        $form_titre = $langue['nouveau_sujet'];

        // Droit d'épingler un sujet
        if ( $droit['sujet_epingle'] == 1 )
        {
            $form_sujet = "\n<p class=\"form_input\"><label for=\"id_sujet\">Sujet&nbsp;:</label> <input type=\"text\" id=\"id_sujet\" name=\"sujet\" size=\"60\" value=\"" . $form_champ_sujet . "\" /></p>\n<p class=\"form_input\"><input type=\"checkbox\" name=\"epingle\" id=\"id_epingle\" /> <label for=\"id_epingle\">Épinglé</label></p>\n<br />\n";
        }
        else
        {
            $form_sujet = "\n<p class=\"form_input\"><label for=\"id_sujet\">Sujet&nbsp;:</label> <input type=\"text\" id=\"id_sujet\" name=\"sujet\" size=\"60\" value=\"\" /></p>\n<br />\n";
        }

        include ( 'systeme/form_message.' . EXT );

        break;


    // Répondre à un message
    case 'repondre':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Forums' );
            die ( -1 );
        }

        // Droit d'édition des messages
        if ( $droit['message_edition_auteur'] == 0 && $droit['message_edition'] == 0 )
        {
            $page_msg = 18;
            include_once ( 'systeme/msg.' . EXT );
        }

        $sql = "SELECT `sujet_ferme`,
                       `sujet_forum`
                FROM `" . $database->pref . "forum_sujet`
                WHERE `sujet_id` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // On vérifie que le sujet existe
        if ( $database->NbrRowsSelected ( $req ) === 0 )
        {
            header ( 'Location: index.' . EXT . '?page=Forums' );
            die ( -1 );
        }

        $row = $database->ResultArray ( $req );

        // Sujet fermé et pas le droit de fermer les sujets : redirection
        if ( $row['sujet_ferme'] == 1 && $droit['sujet_fermer'] == 0 )
        {
            header ( 'Location: index.' . EXT . '?page=Sujets&id=' . $_GET['id'] );
            die ( -1 );
        }

        $sql = "SELECT COUNT(*) AS `count`
                FROM `" . $database->pref . "forum_forum`
                WHERE `forum_id` = '" . $row['sujet_forum'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // On vérifie que le forum existe
        if ( $database->Result ( $req ,'count' ) == 0 )
        {
            header ( 'Location: index.' . EXT . '?page=Forums' );
            die ( -1 );
        }


        $auteur = ( $_SESSION['groupe'] == 1 ) ? 0 : $_SESSION['membre_id'];


        // On regarde de quand date le dernier message de cet auteur dans ce sujet (flood)
        $sql = "SELECT COUNT(*) AS `count`
                FROM `" . $database->pref . "forum_msg`
                WHERE
                        `forum_msg_sujet` = '" . $_GET['id'] . "'
                    AND `forum_msg_auteur` = '" . $auteur . "'
                    AND `forum_msg_time` > '" . ( time () - $configuration['tps_msg'] ) . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->Result ( $req , 'count' ) > 0 )
        {
            $page_msg = 16;
            include_once ( 'systeme/msg.' . EXT );
        }


        // On regarde si ce membre est le dernier auteur du sujet et qu'il a suffisament attendu (up)
        $sql = "SELECT `forum_msg_auteur`,
                       `forum_msg_time`
                FROM `" . $database->pref . "forum_sujet`
                LEFT JOIN `" . $database->pref . "forum_msg`
                    ON `forum_msg_id` = `sujet_last_msg`
                WHERE `sujet_id` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $row = $database->ResultArray ( $req );

        if ( $row['forum_msg_auteur'] == $auteur && $row['forum_msg_time'] > $time - $configuration['tps_msg_up'] )
        {
            $page_msg = 16;
            include_once ( 'systeme/msg.' . EXT );
        }


        // Citation d'un message précédent
        if ( isset ( $_GET['cite'] ) )
        {
            $sql = "SELECT `forum_msg_texte`,
                           `membre_nom`
                    FROM `" . $database->pref . "forum_msg`
                    LEFT JOIN `" . $database->pref . "membres`
                        ON `membre_id` = `forum_msg_auteur`
                    WHERE `forum_msg_id` = '" . $_GET['cite'] . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            $row = $database->ResultArray ( $req );
            $form_champ_texte = '<citation nom="' . $row['membre_nom'] . '">' . $row['forum_msg_texte'] . "</citation>\n";
        }


        // Si on a commencé à répondre dans le formulaire de réponse rapide et qu'on veut plus d'options
        if ( isset ( $_POST['more'] ) )
        {
            $form_champ_texte = $_POST['texte'];
        }
        // Traitement du formulaire
        else if ( isset ( $_POST['submit'] ) )
        {
            $form_champ_texte = $_POST['texte'];

            // On regarde si de nouveaux messages ont été postés pendant qu'on éditait le nôtre
            $sql = "SELECT COUNT(*) AS `count`
                    FROM `" . $database->pref . "forum_msg`
                    WHERE
                            `forum_msg_sujet` = '" . $_GET['id'] . "'
                        AND `forum_msg_time` > '" . $_POST['time_form'] . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            $nbr_new_msg = $database->Result ( $req , 'count' );

            if ( $nbr_new_msg > 0 )
            {
                $page_texte .= '<p><strong>' . $langue['attention'] . '&nbsp;:</strong> Il y a eu ' . $nbr_new_msg . ' ';

                if ( $nbr_new_msg == 1 )
                {
                    $page_texte .= 'nouvelle réponse';
                }
                else
                {
                    $page_texte .= 'nouvelles réponses';
                }

                $page_texte .= ' dans ce sujet le temps que vous remplissiez ce formulaire.' . "</p>\n\n";
            }
            else if ( $droit['reponse_automatique'] == 0 && ( empty ( $_POST['texte'] ) || trim ( $_POST['texte'] ) == '' ) )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else if ( $droit['reponse_automatique'] == 1 && $_POST['autorep'] == 0 && ( empty ( $_POST['texte'] ) || trim ( $_POST['texte'] ) == '' ) )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else
            {
                // On récupère l'id du forum
                $sql = "SELECT `sujet_forum`,
                               `sujet_titre`
                        FROM `" . $database->pref . "forum_sujet`
                        WHERE `sujet_id` = '" . $_GET['id'] . "';";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                $row = $database->ResultArray ( $req );

                $forum = $row['sujet_forum'];
                $sujet_old_titre = $row['sujet_titre'];


                $message_texte = $database->Protege ( $_POST['texte'] );

                // Réponse automatique
                if ( $droit['reponse_automatique'] == 1 && isset ( $_POST['autorep'] ) && $_POST['autorep'] > 0 )
                {
                    $sql = "SELECT `autorep_texte`,
                                   `autorep_ferme`,
                                   `autorep_epingle`,
                                   `autorep_sujet`
                            FROM `" . $database->pref . "forum_autorep`
                            WHERE `autorep_id` = '" . $_POST['autorep'] . "';";

                    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    if ( $database->NbrRowsSelected ( $req ) > 0 )
                    {
                        $row = $database->ResultArray ( $req );

                        // On modifie le texte du message
                        $message_texte = $database->Protege ( $row['autorep_texte'] , false ) . "\n\n" . $message_texte;

                        // On modifie éventuellement le sujet
                        if ( $row['autorep_ferme'] == 1 && $row['autorep_epingle'] == 1 )
                        {
                            if ( $row['autorep_sujet'] == '%s' )
                            {
                                $sql = "UPDATE `" . $database->pref . "forum_sujet`
                                        SET `sujet_ferme` = '1',
                                            `sujet_epingle` = '1'
                                        WHERE `sujet_id` = '" . $_GET['id'] . "';";

                                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                            }
                            else
                            {
                                $sujet_titre = sprintf ( $row['autorep_sujet'] , $sujet_old_titre );

                                $sql = "UPDATE `" . $database->pref . "forum_sujet`
                                        SET `sujet_ferme` = '1',
                                            `sujet_epingle` = '1',
                                            `sujet_titre` = '" . $sujet_titre . "'
                                        WHERE `sujet_id` = '" . $_GET['id'] . "';";

                                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                            }
                        }
                        else if ( $row['autorep_ferme'] == 1 && $row['autorep_epingle'] == 0 )
                        {
                            if ( $row['autorep_sujet'] == '%s' )
                            {
                                $sql = "UPDATE `" . $database->pref . "forum_sujet`
                                        SET `sujet_ferme` = '1'
                                        WHERE `sujet_id` = '" . $_GET['id'] . "';";

                                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                            }
                            else
                            {
                                $sujet_titre = sprintf ( $row['autorep_sujet'] , $sujet_old_titre );

                                $sql = "UPDATE `" . $database->pref . "forum_sujet`
                                        SET `sujet_ferme` = '1',
                                            `sujet_titre` = '" . $sujet_titre . "'
                                        WHERE `sujet_id` = '" . $_GET['id'] . "';";

                                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                            }
                        }
                        else if ( $row['autorep_ferme'] == 0 && $row['autorep_epingle'] == 1 )
                        {
                            if ( $row['autorep_sujet'] == '%s' )
                            {
                                $sql = "UPDATE `" . $database->pref . "forum_sujet`
                                        SET `sujet_epingle` = '1'
                                        WHERE `sujet_id` = '" . $_GET['id'] . "';";

                                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                            }
                            else
                            {
                                $sujet_titre = sprintf ( $row['autorep_sujet'] , $sujet_old_titre );

                                $sql = "UPDATE `" . $database->pref . "forum_sujet`
                                        SET `sujet_epingle` = '1',
                                            `sujet_titre` = '" . $sujet_titre . "'
                                        WHERE `sujet_id` = '" . $_GET['id'] . "';";

                                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                            }
                        }
                        else if ( $row['autorep_sujet'] != '%s' )
                        {
                            $sujet_titre = sprintf ( $row['autorep_sujet'] , $sujet_old_titre );

                            $sql = "UPDATE `" . $database->pref . "forum_sujet`
                                    SET `sujet_titre` = '" . $sujet_titre . "'
                                    WHERE `sujet_id` = '" . $_GET['id'] . "';";

                            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                        }
                    }
                }

                // On ajoute le message dans la base
                $sql = "INSERT INTO `" . $database->pref . "forum_msg`
                        (`forum_msg_auteur`, `forum_msg_texte`, `forum_msg_time`, `forum_msg_sujet`, `forum_msg_forum`)
                        VALUES
                        ('" . $auteur . "', '" . $message_texte . "', '" . $time . "', '" . $_GET['id'] . "', '" . $forum . "');";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // On récupère l'identifiant de ce message
                $message = $database->LastInsertId ( $req );

                // On modifie les informations du sujet
                $sql = "UPDATE `" . $database->pref . "forum_sujet`
                        SET `sujet_nbr_msg` = `sujet_nbr_msg` + 1,
                            `sujet_last_msg` = '" . $message . "'
                        WHERE `sujet_id` = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // On modifie les informations du forum
                $sql = "UPDATE `" . $database->pref . "forum_forum`
                        SET `forum_nbr_msg` = `forum_nbr_msg` + 1,
                            `forum_last_msg` = '" . $message . "'
                        WHERE `forum_id` = '" . $forum . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // On met-à-jour la table des sujets lus/non lus
                if ( $_SESSION['groupe'] != 1 )
                {
                    $sql = "UPDATE `" . $database->pref . "forum_sujet_view`
                            SET `sv_message` = '" . $message . "',
                                `sv_participe` = '1'
                            WHERE `sv_membre` = '" . $_SESSION['membre_id'] . "'
                                AND `sv_sujet` = '" . $_GET['id'] . "';";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                }

                $auteur = ( $_SESSION['groupe'] == 1 ) ? 'Anonyme' : $_SESSION['membre'];

                // On envoi un e-mail aux membres qui l'ont demandé
                $sql = "SELECT `membre_email`,
                               `membre_nom`
                        FROM `" . $database->pref . "forum_fav`
                        LEFT JOIN `" . $database->pref . "membres`
                            ON `membre_id` = `fav_membre`
                        WHERE
                                `fav_sujet` = '" . $_GET['id'] . "'
                            AND `membre_mail_fav` = '1';";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                while ( $row = mysql_fetch_assoc ( $req ) )
                {
                    SendEmail ( $row['membre_nom'] . ' <' . $row['membre_email'] . '>' , $configuration['titre'] . ' <' . $configuration['email'] . '>' , 'Nouvelle réponse dans un sujet favori' , '<h1>' . $configuration['titre'] . "</h1>\n\n<p>Bonjour " . $row['membre_nom'] . ",<br /><br />\nUn nouvelle réponse a été postée sur le sujet <strong>" . $sujet_old_titre . "</strong> par " . $auteur . ".</p>\n\n<p><a href=\"" . $configuration['adresse'] . 'index.' . EXT . '?page=Sujets&amp;msg=' . $message . '">Cliquez-ici</a> pour le lire.</p>' );
                }

                header ( 'Location: index.' . EXT . '?page=Sujets&msg=' . $message );
                die ( -1 );
            }
        }

        // Titre de la page
        $page_titre = $langue['nouveau_message'];
        $page_infos = $langue['nouveau_message'];


        $page_texte .= '<p><a href="index.' . EXT . '?page=Sujets&amp;id=' . $_GET['id'] . "\" title=\"Voir le sujet\">Retour au sujet</a></p>\n";

        // Ouverture du formulaire
        $form_adresse = 'index.' . EXT . '?page=Messages&amp;action=repondre&amp;id=' . $_GET['id'];
        $form_titre = $langue['nouveau_message'];

        if ( $droit['reponse_automatique'] == 1 )
        {
            $form_sujet = "\n<p class=\"form_input\"><label class=\"form_label\" for=\"id_autorep\">Réponse automatique&nbsp;:</label>\n<select name=\"autorep\" id=\"id_autorep\">\n";
            $form_sujet .= '  <option value="0" selected="selected">Aucune' . "</option>\n";
            
            $sql = "SELECT `autorep_id`,
                           `autorep_nom`
                    FROM `" . $database->pref . "forum_autorep`
                    ORDER BY `autorep_nom` ASC;";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            while ( $row = $database->ResultArray ( $req ) )
            {
                $form_sujet .= '  <option value="' . $row['autorep_id'] . '">' . $row['autorep_nom'] . "</option>\n";
            }

            $form_sujet .= "</select></p>\n";
        }

        include_once ( 'systeme/form_message.' . EXT );

        break;


    // Éditer un message
    case 'editer':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Forums' );
            die ( -1 );
        }


        $sql = "SELECT `forum_msg_sujet`,
                       `forum_msg_texte`,
                       `forum_msg_auteur`
                FROM `" . $database->pref . "forum_msg`
                WHERE `forum_msg_id` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $row = $database->ResultArray ( $req );


        // Droit de lecture des messages
        if ( $droit['message_lecture'] == 0 )
        {
            $page_msg = 10;
            include_once ( 'systeme/msg.' . EXT );
        }

        // Droit d'édition des messages
        if ( $droit['message_edition_auteur'] == 0 && $droit['message_edition'] == 0 )
        {
            $page_msg = 17;
            include_once ( 'systeme/msg.' . EXT );
        }


        $sujet = $row['forum_msg_sujet'];
        $message = $row['forum_msg_texte'];


        // Droit d'édition du message
        if ( ( $_SESSION['groupe'] == 1 && $droit['message_edition'] == 0 ) || ( $_SESSION['groupe'] != 1 && $droit['message_edition_auteur'] == 1 && $row['forum_msg_auteur'] != $_SESSION['membre_id'] && $droit['message_edition'] == 0 ) )
        {
            header ( 'Location: index.' . EXT . '?page=Sujets&amp;id=' . $sujet );
            die ( -1 );
        }


        // Traitement des données du formulaire
        if ( isset ( $_POST['submit'] ) )
        {
            if ( empty ( $_POST['texte'] ) || trim ( $_POST['texte'] ) == '' )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else
            {
                $epingle = ( isset ( $_POST['epingle'] ) ) ? 1 : 0;

                // On modifie le titre et l'épinglement
                if ( isset ( $_POST['sujet'] ) && !empty ( $_POST['sujet'] ) && $droit['sujet_epingle'] == 1 )
                {
                    if ( isset ( $_POST['epingle'] ) )
                    {
                        $sql = "UPDATE `" . $database->pref . "forum_sujet`
                                SET `sujet_titre` = '" . $database->Protege ( $_POST['sujet'] ) . "',
                                    `sujet_epingle` = '1'
                                WHERE `sujet_id` = '" . $sujet . "';";
                    }
                    else
                    {
                        $sql = "UPDATE `" . $database->pref . "forum_sujet`
                                SET `sujet_titre` = '" . $database->Protege ( $_POST['sujet'] ) . "',
                                    `sujet_epingle` = '0'
                                WHERE `sujet_id` = '" . $sujet . "';";
                    }
                }
                // On modifie juste le titre
                else if ( isset ( $_POST['sujet'] ) && $droit['sujet_epingle'] == 0 )
                {
                    // On modifie les informations du sujet (titre, épinglé)
                    $sql = "UPDATE `" . $database->pref . "forum_sujet`
                            SET `sujet_titre` = '" . $database->Protege ( $_POST['sujet'] ) . "'
                            WHERE `sujet_id` = '" . $sujet . "';";
                }

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // On modifie les informations du message
                $sql = "UPDATE `" . $database->pref . "forum_msg`
                        SET `forum_msg_texte` = '" . $database->Protege ( $_POST['texte'] ) . "',
                            `forum_msg_edit_auteur` = '" . $_SESSION['membre_id'] . "',
                            `forum_msg_edit_time` = '" . $time . "'
                        WHERE `forum_msg_id` = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            }

            header ( 'Location: index.' . EXT . '?page=Sujets&msg=' . $_GET['id'] );
            die ( -1 );
        }


        $page_texte .= '<p><a href="index.' . EXT . '?page=Sujets&amp;id=' . $sujet . "\" title=\"Voir le sujet\">Retour au sujet</a></p>\n";

        // Titre de la page
        $page_titre = 'Éditer un message';
        $page_infos = 'Éditer un message';

        // Ouverture du formulaire
        $form_adresse = 'index.' . EXT . '?page=Messages&amp;action=editer&amp;id=' . $_GET['id'];
        $form_titre = 'Éditer un message';
        $form_champ_texte = $message;

        $sql = "SELECT `sujet_first_msg`,
                       `sujet_epingle`,
                       `sujet_titre`
                FROM `" . $database->pref . "forum_sujet`
                WHERE `sujet_id` = '" . $sujet . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $row = $database->ResultArray ( $req );

        // Si c'est le premier message du sujet
        if ( $row['sujet_first_msg'] == $_GET['id'] )
        {
            if ( $droit['sujet_epingle'] == 1 )
            {
                $epingle = ( $row['sujet_epingle'] == 1 ) ? ' checked="checked"' : '';

                $form_sujet = "\n<p class=\"form_input\"><label for=\"id_sujet\">" . $langue['sujet'] . "&nbsp;:</label> <input type=\"text\" id=\"id_sujet\" name=\"sujet\" size=\"60\" value=\"" . $row['sujet_titre'] . "\" /></p>\n<p class=\"form_input\"><input type=\"checkbox\" name=\"epingle\" id=\"id_epingle\"" . $epingle . " /> <label for=\"id_epingle\">Épinglé</label></p>\n<br />\n";
            }
            else
            {
                $form_sujet = "\n<p class=\"form_input\"><label for=\"id_sujet\">" . $langue['sujet'] . "&nbsp;:</label> <input type=\"text\" id=\"id_sujet\" name=\"sujet\" size=\"60\" value=\"" . $row['sujet_titre'] . "\" /></p>\n<br />\n";
            }
        }

        include ( 'systeme/form_message.' . EXT );

        break;

    // Supprimer un message
    case 'supprimer':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Forums' );
            die ( -1 );
        }

        // Droit d'édition et de suppression des messages
        if ( $droit['message_sup_auteur'] == 0 && $droit['message_sup'] == 0 )
        {
            $page_msg = 19;
            include_once ( 'systeme/msg.' . EXT );
        }

        $sql = "SELECT `forum_msg_auteur`,
                       `forum_msg_sujet`,
                       `forum_msg_forum`
                FROM `" . $database->pref . "forum_msg`
                WHERE `forum_msg_id` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) === 0 )
        {
            header ( 'Location: index.' . EXT . '?page=Forums' );
            die ( -1 );
        }

        $row = $database->ResultArray ( $req );

        $auteur = $row['forum_msg_auteur'];
        $sujet = $row['forum_msg_sujet'];
        $forum = $row['forum_msg_forum'];


        if ( $droit['message_sup_auteur'] == 1 && $_SESSION['groupe'] != 1 && $_SESSION['membre_id'] != $auteur && $droit['message_sup'] == 0 )
        {
            $page_msg = 17;
            include_once ( 'systeme/msg.' . EXT );
        }


        // Titre de la page
        $page_titre = 'Supprimer un message';
        $page_infos = 'Supprimer un message';


        if ( isset ( $_GET['ok'] ) )
        {
            $sql = "SELECT `sujet_first_msg`,
                           `sujet_last_msg`
                    FROM `" . $database->pref . "forum_sujet`
                    WHERE `sujet_id` = '" . $sujet . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            $row = $database->ResultArray ( $req );

            // Si c'est le premier message du sujet
            if ( $row['sujet_first_msg'] == $_GET['id'] )
            {
                // On supprime le sujet
                $sql = "DELETE FROM `" . $database->pref . "forum_sujet`
                        WHERE `sujet_id` = '" . $sujet . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // On supprimes les entrées de la table des sujets vus
                $sql = "DELETE FROM `" . $database->pref . "forum_sujet_view`
                        WHERE `sv_sujet` = '" . $sujet . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // On supprime les messages du sujet
                $sql = "DELETE FROM `" . $database->pref . "forum_msg`
                        WHERE `forum_msg_sujet` = '" . $sujet . "';";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                $nbr_msg_supprimes = $database->NbrRowsAffected ( $req );

                // Dernier message du forum
                $sql = "SELECT `forum_msg_id`
                        FROM `" . $database->pref . "forum_msg`
                        WHERE `forum_msg_forum` = '" . $forum . "'
                        ORDER BY `forum_msg_id` DESC;";

                //=>MYSQL
                    if ( SGBD == 'mysql' ) $sql .= ' LIMIT 0, 1';
                    $sql .= ';';
                //=>END

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                for ( $sql_limite = 0 ; $sql_limite < 1 && $row = $database->ResultArray ( $req ) ; $sql_limite++ )
                {
                    $forum_last_msg = $row['forum_msg_id'];
                }

                // On modifie les compteurs du forum et son dernier message
                $sql = "UPDATE `" . $database->pref . "forum_forum`
                        SET `forum_last_msg` = '" . $forum_last_msg . "',
                            `forum_nbr_msg` = `forum_nbr_msg` - " . $nbr_msg_supprimes . ",
                            `forum_nbr_sujet` = `forum_nbr_sujet` - 1
                        WHERE `forum_id` = '" . $forum . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                header ( 'Location: index.' . EXT . '?page=Forums&id=' . $forum );
                die ( -1 );
            }
            // Si c'est le dernier message du sujet
            else if ( $row['sujet_last_msg'] == $_GET['id'] )
            {
                // On supprime le message
                $sql = "DELETE FROM `" . $database->pref . "forum_msg`
                        WHERE `forum_msg_id` = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // Dernier message du sujet
                $sql = "SELECT `forum_msg_id`
                        FROM `" . $database->pref . "forum_msg`
                        WHERE `forum_msg_sujet` = '" . $sujet . "'
                        ORDER BY `forum_msg_time` DESC";

                //=>MYSQL
                    if ( SGBD == 'mysql' ) $sql .= ' LIMIT 0, 1';
                    $sql .= ';';
                //=>END

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                for ( $sql_limite = 0 ; $sql_limite < 1 && $row = $database->ResultArray ( $req ) ; $sql_limite++ )
                {
                    $sujet_last_msg = $row['forum_msg_id'];
                }

                // Modification du dernier message du sujet et du nombre de messages
                $sql = "UPDATE `" . $database->pref . "forum_sujet`
                        SET `sujet_last_msg` = '" . $sujet_last_msg . "',
                            `sujet_nbr_msg`= `sujet_nbr_msg` - 1
                        WHERE `sujet_id` = '" . $sujet . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // Modification du dernier message du sujet pour les sujets vus
                $sql = "UPDATE `" . $database->pref . "forum_sujet_view`
                        SET `sv_message` = '" . $database->Result ( $req , 'forum_msg_id' ) . "'
                        WHERE `sv_sujet` = '" . $sujet . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // Dernier message du forum
                $sql = "SELECT `forum_msg_id`
                        FROM `" . $database->pref . "forum_msg`
                        WHERE `forum_msg_forum` = '" . $forum . "'
                        ORDER BY `forum_msg_time` DESC";

                //=>MYSQL
                    if ( SGBD == 'mysql' ) $sql .= ' LIMIT 0, 1';
                    $sql .= ';';
                //=>END

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                for ( $sql_limite = 0 ; $sql_limite < 1 && $row = $database->ResultArray ( $req ) ; $sql_limite++ )
                {
                    $forum_last_msg = $row['forum_msg_id'];
                }

                // Modification du dernier message du forum et du nombre de messages
                $sql = "UPDATE `" . $database->pref . "forum_forum`
                        SET `forum_last_msg` = '" . $forum_last_msg . "',
                            `forum_nbr_msg`= `forum_nbr_msg` - 1
                        WHERE `forum_id` = '" . $forum . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                header ( 'Location: index.' . EXT . '?page=Sujets&id=' . $sujet );
                die ( -1 );
            }
            else
            {
                // On supprime le message
                $sql = "DELETE FROM `" . $database->pref . "forum_msg`
                        WHERE `forum_msg_id` = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // Modification du nombre de messages du sujet
                $sql = "UPDATE `" . $database->pref . "forum_sujet`
                        SET `sujet_nbr_msg`= `sujet_nbr_msg` - 1
                        WHERE `sujet_id` = '" . $sujet . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                // Modification du nombre de messages du forum
                $sql = "UPDATE `" . $database->pref . "forum_forum`
                        SET `forum_nbr_msg`= `forum_nbr_msg` - 1
                        WHERE `forum_id` = '" . $forum . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                header ( 'Location: index.' . EXT . '?page=Sujets&id=' . $sujet );
                die ( -1 );
            }
        }

        $page_texte .= "\n<p>La suppression d'un message sur le forum est irréversible. Si ce message est le premier du sujet, vous supprimerez le sujet et tous les messages qu'il contient.<br /><a href=\"" . 'index.' . EXT . '?page=Messages&amp;action=supprimer&amp;id=' . $_GET['id'] . '&amp;ok' . "\">Cliquez-ici</a> pour continuer.</p>\n\n";

        break;
}

?>