<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Messages_contact.php
 *  Date de création : 03/09/2007
 *  Dernière modification : 03/09/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Droit d'administration
if ( $droit['administration'] == 0 )
{
    $page_msg = 2;
    include_once ( 'systeme/msg.' . EXT );
}


// Titre de la page
$page_titre = 'Messages reçus par le formulaire de contact';
$page_infos = 'Messages reçus par le formulaire de contact';


if ( isset ( $_GET['id'] ) && is_numeric ( $_GET['id'] ) && $_GET['id'] > 0 )
{
    $page_texte .= "<p><a href=\"index." . EXT . "?page=Messages_contact\">Liste des messages</a></p>\n\n";

    $sql = "SELECT `contact_time`,
                   `contact_auteur`,
                   `contact_email`,
                   `contact_titre`,
                   `contact_texte`
            FROM `" . $database->pref . "contact`
            WHERE `contact_id` = '" . $_GET['id'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) > 0 )
    {
        $row = $database->ResultArray ( $req );

        $page_texte .= "<div class=\"private_msg\">\n\n";
        $page_texte .= "<h2>" . $row['contact_titre'] . "</h2>\n\n";
        $page_texte .= '<p><small>Message envoyé le ' . date ( $configuration['format_date'] , $row['contact_time'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['contact_time'] );

        $page_texte .= ' par ' . $row['contact_auteur'] . ' (<a href="mailto:' . $row['contact_email'] . '">' . $row['contact_email'] . '</a>)' . "</small></p>\n\n";
        $page_texte .= $site->Parser ( $row['contact_texte'] , 0 );
        $page_texte .= "</div>\n\n";
    }
    else
    {
        header ( 'Location: index.' . EXT . '?page=Messages_contact' );
        die ( -1 );
    }
}
else
{
    $page_texte .= "<table>\n\n<thead>\n<tr>\n";
    $page_texte .= "  <th class=\"contact_titre\">Titre</th>\n";
    $page_texte .= "  <th class=\"contact_auteur\">Auteur</th>\n";
    $page_texte .= "  <th class=\"contact_date\">Date</th>\n";
    $page_texte .= "</tr>\n</thead>\n\n<tbody>\n";


    $sql = "SELECT `contact_id`,
                   `contact_time`,
                   `contact_auteur`,
                   `contact_email`,
                   `contact_titre`
            FROM `" . $database->pref . "contact`
            ORDER BY `contact_time` DESC
            LIMIT 0, 20;";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    while ( $row = $database->ResultArray ( $req ) )
    {
        $page_texte .= "<tr>\n";
        $page_texte .= '  <td><a href="index.' . EXT . '?page=Messages_contact&amp;id=' . $row['contact_id'] . '">' . $row['contact_titre'] . "</a></td>\n";
        $page_texte .= '  <td class="centre"><a href="mailto:' . $row['contact_email'] . '">' . $row['contact_auteur'] . "</a></td>\n";
        $page_texte .= '  <td class="centre">' . date ( $configuration['format_date'] , $row['contact_time'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['contact_time'] ) . "</td>\n";
        $page_texte .= "</tr>\n";
    }

    $page_texte .= "</tbody>\n\n</table>\n";
}

?>