<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Sondages.php
 *  Date de création : avant le 12/08/2007
 *  Dernière modification : 29/08/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Titre de la page
$page_titre = $langue['sondages'];
$page_infos = $langue['sondages'];


if ( isset ( $_GET['id'] ) )
{
    if ( $droit['sondage_lecture'] == 0 )
    {
        $page_msg = 11;
        include_once ( 'systeme/msg.' . EXT );
    }

    $sql = "SELECT `sondage_actif`,
                   `sondage_question`,
                   `sondage_type`,
                   `sondage_rep_0`,
                   `sondage_rep_1`,
                   `sondage_rep_2`,
                   `sondage_rep_3`,
                   `sondage_rep_4`,
                   `sondage_rep_5`,
                   `sondage_rep_6`,
                   `sondage_rep_7`,
                   `sondage_rep_8`,
                   `sondage_rep_9`
            FROM `" . $database->pref . "sondages`
            WHERE `sondage_id` = '" . $_GET['id'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) > 0 )
    {
        $row = $database->ResultArray ( $req );

        $question = $row['sondage_question'];

        $rep_0 = $row['sondage_rep_0'];
        $rep_1 = $row['sondage_rep_1'];
        $rep_2 = $row['sondage_rep_2'];
        $rep_3 = $row['sondage_rep_3'];
        $rep_4 = $row['sondage_rep_4'];
        $rep_5 = $row['sondage_rep_5'];
        $rep_6 = $row['sondage_rep_6'];
        $rep_7 = $row['sondage_rep_7'];
        $rep_8 = $row['sondage_rep_8'];
        $rep_9 = $row['sondage_rep_9'];

        if ( $row['sondage_actif'] == 1 )
        {
            $type = $row['sondage_type'];


            $formulaire = '<p><a href="index.' . EXT . '?page=Sondages' . "\" title=\"Liste des sondages\">Liste des sondages</a></p>\n\n";
            $formulaire .= '<form action="index.' . EXT . '?page=Sondages&amp;id=' . $_GET['id'] . "\" method=\"post\" title=\"Sondage\">\n\n";
            $formulaire .= '<p>' . $question . "</p>\n\n<fieldset>\n<legend>Répondre à cette question</legend>\n\n";

            if ( $type == 0 )
            {
                $formulaire .= "<input type=\"radio\" name=\"reponse\" id=\"id_rep_0\" value=\"rep_0\" /> <label for=\"id_rep_0\">" . $rep_0 . "</label>";
                $formulaire .= "<br />\n<input type=\"radio\" name=\"reponse\" id=\"id_rep_1\" value=\"rep_1\" /> <label for=\"id_rep_1\">" . $rep_1 . "</label>";

                if ( !empty ( $rep_2 ) ) $formulaire .= "<br />\n<input type=\"radio\" name=\"reponse\" id=\"id_rep_2\" value=\"rep_2\" /> <label for=\"id_rep_2\">" . $rep_2 . "</label>";
                if ( !empty ( $rep_3 ) ) $formulaire .= "<br />\n<input type=\"radio\" name=\"reponse\" id=\"id_rep_3\" value=\"rep_3\" /> <label for=\"id_rep_3\">" . $rep_3 . "</label>";
                if ( !empty ( $rep_4 ) ) $formulaire .= "<br />\n<input type=\"radio\" name=\"reponse\" id=\"id_rep_4\" value=\"rep_4\" /> <label for=\"id_rep_4\">" . $rep_4 . "</label>";
                if ( !empty ( $rep_5 ) ) $formulaire .= "<br />\n<input type=\"radio\" name=\"reponse\" id=\"id_rep_5\" value=\"rep_5\" /> <label for=\"id_rep_5\">" . $rep_5 . "</label>";
                if ( !empty ( $rep_6 ) ) $formulaire .= "<br />\n<input type=\"radio\" name=\"reponse\" id=\"id_rep_6\" value=\"rep_6\" /> <label for=\"id_rep_6\">" . $rep_6 . "</label>";
                if ( !empty ( $rep_7 ) ) $formulaire .= "<br />\n<input type=\"radio\" name=\"reponse\" id=\"id_rep_7\" value=\"rep_7\" /> <label for=\"id_rep_7\">" . $rep_7 . "</label>";
                if ( !empty ( $rep_8 ) ) $formulaire .= "<br />\n<input type=\"radio\" name=\"reponse\" id=\"id_rep_8\" value=\"rep_8\" /> <label for=\"id_rep_8\">" . $rep_8 . "</label>";
                if ( !empty ( $rep_9 ) ) $formulaire .= "<br />\n<input type=\"radio\" name=\"reponse\" id=\"id_rep_9\" value=\"rep_9\" /> <label for=\"id_rep_9\">" . $rep_9 . "</label>";
            }
            else
            {
                $formulaire .= "<input type=\"checkbox\" name=\"rep_0\" id=\"id_rep_0\" /> <label for=\"id_rep_0\">" . $rep_0 . '</label>';
                $formulaire .= "<br />\n<input type=\"checkbox\" name=\"rep_1\" id=\"id_rep_1\" /> <label for=\"id_rep_1\">" . $rep_1 . '</label>';

                if ( !empty ( $rep_2 ) ) $formulaire .= "<br />\n<input type=\"checkbox\" name=\"rep_2\" id=\"id_rep_2\" /> <label for=\"id_rep_2\">" . $rep_2 . "</label>";
                if ( !empty ( $rep_3 ) ) $formulaire .= "<br />\n<input type=\"checkbox\" name=\"rep_3\" id=\"id_rep_3\" /> <label for=\"id_rep_3\">" . $rep_3 . "</label>";
                if ( !empty ( $rep_4 ) ) $formulaire .= "<br />\n<input type=\"checkbox\" name=\"rep_4\" id=\"id_rep_4\" /> <label for=\"id_rep_4\">" . $rep_4 . "</label>";
                if ( !empty ( $rep_5 ) ) $formulaire .= "<br />\n<input type=\"checkbox\" name=\"rep_5\" id=\"id_rep_5\" /> <label for=\"id_rep_5\">" . $rep_5 . "</label>";
                if ( !empty ( $rep_6 ) ) $formulaire .= "<br />\n<input type=\"checkbox\" name=\"rep_6\" id=\"id_rep_6\" /> <label for=\"id_rep_6\">" . $rep_6 . "</label>";
                if ( !empty ( $rep_7 ) ) $formulaire .= "<br />\n<input type=\"checkbox\" name=\"rep_7\" id=\"id_rep_7\" /> <label for=\"id_rep_7\">" . $rep_7 . "</label>";
                if ( !empty ( $rep_8 ) ) $formulaire .= "<br />\n<input type=\"checkbox\" name=\"rep_8\" id=\"id_rep_8\" /> <label for=\"id_rep_8\">" . $rep_8 . "</label>";
                if ( !empty ( $rep_9 ) ) $formulaire .= "<br />\n<input type=\"checkbox\" name=\"rep_9\" id=\"id_rep_9\" /> <label for=\"id_rep_9\">" . $rep_9 . "</label>";
            }

            $formulaire .= "\n\n</fieldset>\n\n<input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" />\n\n</form>\n";
        }
    }
    else
    {
        header ( 'Location: index.' . EXT . '?page=Sondages' );
        die ( -1 );
    }

    // Résultats pour chaque question

    $votes_0 = 0;
    $votes_1 = 0;
    $votes_2 = 0;
    $votes_3 = 0;
    $votes_4 = 0;
    $votes_5 = 0;
    $votes_6 = 0;
    $votes_7 = 0;
    $votes_8 = 0;
    $votes_9 = 0;

    $sql = "SELECT `vote_rep_0`,
                   `vote_rep_1`,
                   `vote_rep_2`,
                   `vote_rep_3`,
                   `vote_rep_4`,
                   `vote_rep_5`,
                   `vote_rep_6`,
                   `vote_rep_7`,
                   `vote_rep_8`,
                   `vote_rep_9`
            FROM `" . $database->pref . "votes`
            WHERE `vote_sondage` = '" . $_GET['id'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    while ( $row = $database->ResultArray ( $req ) )
    {
        if ( $row['vote_rep_0'] == 1 ) $votes_0++;
        if ( $row['vote_rep_1'] == 1 ) $votes_1++;
        if ( $row['vote_rep_2'] == 1 ) $votes_2++;
        if ( $row['vote_rep_3'] == 1 ) $votes_3++;
        if ( $row['vote_rep_4'] == 1 ) $votes_4++;
        if ( $row['vote_rep_5'] == 1 ) $votes_5++;
        if ( $row['vote_rep_6'] == 1 ) $votes_6++;
        if ( $row['vote_rep_7'] == 1 ) $votes_7++;
        if ( $row['vote_rep_8'] == 1 ) $votes_8++;
        if ( $row['vote_rep_9'] == 1 ) $votes_9++;
    }

    $nbr_votes = $votes_0 + $votes_1 + $votes_2 + $votes_3 + $votes_4 + $votes_5 + $votes_6 + $votes_7 + $votes_8 + $votes_9;

    // Texte pour les résultats

    $resultats = "<p><a href=\"" . 'index.' . EXT . '?page=Sondages' . "\" title=\"Liste des sondages\">Liste des sondages</a></p>\n\n";
    $resultats .= "<h2>Question</h2>\n\n<p><strong>" . $question . "</strong> <small>(";
    $resultats .= ( $nbr_votes > 1 ) ? $nbr_votes . " votes)</small></p>\n\n" : $nbr_votes . " vote)</small></p>\n\n";

    // Pour ne pas diviser pas 0
    $nbr_votes = ( $nbr_votes === 0 ) ? 1 : $nbr_votes;

    $resultats .= "<h2>Réponses</h2>\n\n<dl>\n";

    $pourcentage = intval ( ( $votes_0 * 100 ) / $nbr_votes );
    $resultats .= ( $pourcentage === 0 ) ? "  <dt>" . $rep_0 . " (0 vote)</dt>\n  <dd>0 %</dd>\n" : "  <dt>" . $rep_0 . " (" . $votes_0 . " votes)</dt>\n  <dd><img src=\"themes/" . $configuration['style'] . "/images/sondage_gauche.png\" alt=\"\" style=\"height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_centre.png\" alt=\"\" style=\"width: " . $pourcentage * 3 . "px; height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_droite.png\" alt=\"\" style=\"height: 8px;\" /> " . $pourcentage . " %</dd>\n";

    $pourcentage = intval ( ( $votes_1 * 100 ) / $nbr_votes );
    $resultats .= ( $pourcentage === 0 ) ? "  <dt>" . $rep_1 . " (0 vote)</dt>\n  <dd>0 %</dd>\n" : "  <dt>" . $rep_1 . " (" . $votes_1 . " votes)</dt>\n  <dd><img src=\"themes/" . $configuration['style'] . "/images/sondage_gauche.png\" alt=\"\" style=\"height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_centre.png\" alt=\"\" style=\"width: " . $pourcentage * 3 . "px; height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_droite.png\" alt=\"\" style=\"height: 8px;\" /> " . $pourcentage . " %</dd>\n";

    if ( !empty ( $rep_2 ) )
    {
        $pourcentage = intval ( ( $votes_2 * 100 ) / $nbr_votes );
        $resultats .= ( $pourcentage === 0 ) ? "  <dt>" . $rep_2 . " (0 vote)</dt>\n  <dd>0 %</dd>\n" : "  <dt>" . $rep_2 . " (" . $votes_2 . " votes)</dt>\n  <dd><img src=\"themes/" . $configuration['style'] . "/images/sondage_gauche.png\" alt=\"\" style=\"height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_centre.png\" alt=\"\" style=\"width: " . $pourcentage * 3 . "px; height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_droite.png\" alt=\"\" style=\"height: 8px;\" /> " . $pourcentage . " %</dd>\n";
    }

    if ( !empty ( $rep_3 ) )
    {
        $pourcentage = intval ( ( $votes_3 * 100 ) / $nbr_votes );
        $resultats .= ( $pourcentage === 0 ) ? "  <dt>" . $rep_3 . " (0 vote)</dt>\n  <dd>0 %</dd>\n" : "  <dt>" . $rep_3 . " (" . $votes_3 . " votes)</dt>\n  <dd><img src=\"themes/" . $configuration['style'] . "/images/sondage_gauche.png\" alt=\"\" style=\"height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_centre.png\" alt=\"\" style=\"width: " . $pourcentage * 3 . "px; height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_droite.png\" alt=\"\" style=\"height: 8px;\" /> " . $pourcentage . " %</dd>\n";
    }

    if ( !empty ( $rep_4 ) )
    {
        $pourcentage = intval ( ( $votes_4 * 100 ) / $nbr_votes );
        $resultats .= ( $pourcentage === 0 ) ? "  <dt>" . $rep_4 . " (0 vote)</dt>\n  <dd>0 %</dd>\n" : "  <dt>" . $rep_4 . " (" . $votes_4 . " votes)</dt>\n  <dd><img src=\"themes/" . $configuration['style'] . "/images/sondage_gauche.png\" alt=\"\" style=\"height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_centre.png\" alt=\"\" style=\"width: " . $pourcentage * 3 . "px; height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_droite.png\" alt=\"\" style=\"height: 8px;\" /> " . $pourcentage . " %</dd>\n";
    }

    if ( !empty ( $rep_5 ) )
    {
        $pourcentage = intval ( ( $votes_5 * 100 ) / $nbr_votes );
        $resultats .= ( $pourcentage === 0 ) ? "  <dt>" . $rep_5 . " (0 vote)</dt>\n  <dd>0 %</dd>\n" : "  <dt>" . $rep_5 . " (" . $votes_5 . " votes)</dt>\n  <dd><img src=\"themes/" . $configuration['style'] . "/images/sondage_gauche.png\" alt=\"\" style=\"height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_centre.png\" alt=\"\" style=\"width: " . $pourcentage * 3 . "px; height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_droite.png\" alt=\"\" style=\"height: 8px;\" /> " . $pourcentage . " %</dd>\n";
    }

    if ( !empty ( $rep_6 ) )
    {
        $pourcentage = intval ( ( $votes_6 * 100 ) / $nbr_votes );
        $resultats .= ( $pourcentage === 0 ) ? "  <dt>" . $rep_6 . " (0 vote)</dt>\n  <dd>0 %</dd>\n" : "  <dt>" . $rep_6 . " (" . $votes_6 . " votes)</dt>\n  <dd><img src=\"themes/" . $configuration['style'] . "/images/sondage_gauche.png\" alt=\"\" style=\"height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_centre.png\" alt=\"\" style=\"width: " . $pourcentage * 3 . "px; height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_droite.png\" alt=\"\" style=\"height: 8px;\" /> " . $pourcentage . " %</dd>\n";
    }

    if ( !empty ( $rep_7 ) )
    {
        $pourcentage = intval ( ( $votes_7 * 100 ) / $nbr_votes );
        $resultats .= ( $pourcentage === 0 ) ? "  <dt>" . $rep_7 . " (0 vote)</dt>\n  <dd>0 %</dd>\n" : "  <dt>" . $rep_7 . " (" . $votes_7 . " votes)</dt>\n  <dd><img src=\"themes/" . $configuration['style'] . "/images/sondage_gauche.png\" alt=\"\" style=\"height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_centre.png\" alt=\"\" style=\"width: " . $pourcentage * 3 . "px; height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_droite.png\" alt=\"\" style=\"height: 8px;\" /> " . $pourcentage . " %</dd>\n";
    }

    if ( !empty ( $rep_8 ) )
    {
        $pourcentage = intval ( ( $votes_8 * 100 ) / $nbr_votes );
        $resultats .= ( $pourcentage === 0 ) ? "  <dt>" . $rep_8 . " (0 vote)</dt>\n  <dd>0 %</dd>\n" : "  <dt>" . $rep_8 . " (" . $votes_8 . " votes)</dt>\n  <dd><img src=\"themes/" . $configuration['style'] . "/images/sondage_gauche.png\" alt=\"\" style=\"height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_centre.png\" alt=\"\" style=\"width: " . $pourcentage * 3 . "px; height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_droite.png\" alt=\"\" style=\"height: 8px;\" /> " . $pourcentage . " %</dd>\n";
    }

    if ( !empty ( $rep_9 ) )
    {
        $pourcentage = intval ( ( $votes_9 * 100 ) / $nbr_votes );
        $resultats .= ( $pourcentage === 0 ) ? "  <dt>" . $rep_9 . " (0 vote)</dt>\n  <dd>0 %</dd>\n" : "  <dt>" . $rep_9 . " (" . $votes_9 . " votes)</dt>\n  <dd><img src=\"themes/" . $configuration['style'] . "/images/sondage_gauche.png\" alt=\"\" style=\"height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_centre.png\" alt=\"\" style=\"width: " . $pourcentage * 3 . "px; height: 8px;\" /><img src=\"themes/" . $configuration['style'] . "/images/sondage_droite.png\" alt=\"\" style=\"height: 8px;\" /> " . $pourcentage . " %</dd>\n";
    }

    $resultats .= "</dl>\n";

    if ( $_SESSION['groupe'] != 1 )
    {
        $sql = "SELECT COUNT(*) AS `count`
                FROM `" . $database->pref . "votes`
                WHERE
                        `vote_membre` = '" . $_SESSION['membre_id'] . "'
                    AND `vote_sondage` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Si le membre n'a jamais répondu à ce sondage et qu'il a le droit de le faire
        if ( $database->Result ( $req , 'count' ) == 0 && isset ( $formulaire ) && $droit['sondage_repondre'] == 1 )
        {
            if ( isset ( $_POST['submit'] ) )
            {
                if ( !empty ( $_POST['reponse'] ) )
                {
                    if ( $type == 0 )
                    {
                        $rep_0 = ( $_POST['reponse'] == 'rep_0' ) ? 1 : 0;
                        $rep_1 = ( $_POST['reponse'] == 'rep_1' ) ? 1 : 0;
                        $rep_2 = ( $_POST['reponse'] == 'rep_2' ) ? 1 : 0;
                        $rep_3 = ( $_POST['reponse'] == 'rep_3' ) ? 1 : 0;
                        $rep_4 = ( $_POST['reponse'] == 'rep_4' ) ? 1 : 0;
                        $rep_5 = ( $_POST['reponse'] == 'rep_5' ) ? 1 : 0;
                        $rep_6 = ( $_POST['reponse'] == 'rep_6' ) ? 1 : 0;
                        $rep_7 = ( $_POST['reponse'] == 'rep_7' ) ? 1 : 0;
                        $rep_8 = ( $_POST['reponse'] == 'rep_8' ) ? 1 : 0;
                        $rep_9 = ( $_POST['reponse'] == 'rep_9' ) ? 1 : 0;
                    }
                    else
                    {
                        $rep_0 = ( $_POST['rep_0'] ) ? 1 : 0;
                        $rep_1 = ( $_POST['rep_1'] ) ? 1 : 0;
                        $rep_2 = ( $_POST['rep_2'] ) ? 1 : 0;
                        $rep_3 = ( $_POST['rep_3'] ) ? 1 : 0;
                        $rep_4 = ( $_POST['rep_4'] ) ? 1 : 0;
                        $rep_5 = ( $_POST['rep_5'] ) ? 1 : 0;
                        $rep_6 = ( $_POST['rep_6'] ) ? 1 : 0;
                        $rep_7 = ( $_POST['rep_7'] ) ? 1 : 0;
                        $rep_8 = ( $_POST['rep_8'] ) ? 1 : 0;
                        $rep_9 = ( $_POST['rep_9'] ) ? 1 : 0;
                    }

                    $sql = "INSERT INTO `" . $database->pref . "votes`
                            (`vote_sondage`, `vote_membre`, `vote_rep_0`, `vote_rep_1`, `vote_rep_2`, `vote_rep_3`, `vote_rep_4`, `vote_rep_5`, `vote_rep_6`, `vote_rep_7`, `vote_rep_8`, `vote_rep_9`)
                            VALUES
                            ('" . $_GET['id'] . "', '" . $_SESSION['membre_id'] ."', '" . $rep_0 . "', '" . $rep_1 . "', '" . $rep_2 . "', '" . $rep_3 . "', '" . $rep_4 . "', '" . $rep_5 . "', '" . $rep_6 . "', '" . $rep_7 . "', '" . $rep_8 . "', '" . $rep_9 . "');";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    header ( 'Location: index.' . EXT . '?page=Sondages&id=' . $_GET['id'] );
                    die ( -1 );
                }
            }

            $page_texte .= $formulaire;
        }
        else
        {
            $page_texte .= $resultats;
        }
    }
    else
    {
        $page_texte .= $resultats;
    }
}
else
{
    $sql = "SELECT `sondage_id`,
                   `sondage_question`
            FROM `" . $database->pref . "sondages`
            ORDER BY `sondage_time` DESC;";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) === 0 )
    {
        $page_texte .= "\n<p>Il n'y a aucun sondage.</p>\n";
    }
    else
    {
        $page_texte .= "\n<ul>\n";

        while ( $row = $database->ResultArray ( $req ) )
        {
            $page_texte .= '  <li><a href="index.' . EXT . '?page=Sondages&amp;id=' . $row['sondage_id'] . '">' . $row['sondage_question'] . "</a></li>\n";
        }

        $page_texte .= "</ul>\n";
    }
}

?>