<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Supprimer_un_membre.php
 *  Date de création : avant le 12/08/2007
 *  Dernière modification : 13/09/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Droit d'administration
if ( $droit['administration'] == 0 )
{
    $page_msg = 2;
    include_once ( 'systeme/msg.' . EXT );
}


if ( isset ( $_GET['id'] ) )
{
    $sql = "SELECT `membre_actif`
            FROM `" . $database->pref . "membres`
            WHERE `membre_id` = '" . $_GET['id'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) === 0 )
    {
        header ( 'Location: index.' . EXT . '?page=Membres_supprimes' );
        die ( -1 );
    }

    $row = $database->ResultArray ( $req );

    if ( isset ( $_GET['retablir'] ) && $row['membre_actif'] == 0 )
    {
        $sql = "UPDATE `" . $database->pref . "membres`
                SET `membre_actif` = '1'
                WHERE `membre_id` = '" . $_GET['id'] . "';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        header ( 'Location: index.' . EXT . '?page=Membres_supprimes' );
        die ( -1 );
    }
    else if ( isset ( $_GET['delete'] ) && $row['membre_actif'] == 0 )
    {
        $sql = "DELETE FROM `" . $database->pref . "membres`
                WHERE `membre_id` = '" . $_GET['id'] . "';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        header ( 'Location: index.' . EXT . '?page=Membres_supprimes' );
        die ( -1 );
    }
    else if ( $row['membre_actif'] == 1 && $_GET['id'] != $_SESSION['membre_id'] )
    {
        $sql = "UPDATE `" . $database->pref . "membres`
                SET `membre_actif` = '0'
                WHERE `membre_id` = '" . $_GET['id'] . "';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
    }
}


// Titre de la page
$page_titre = $langue['supprimer_membre'];
$page_infos = $langue['administration_texte'];


// Traitement des données du formulaire
if ( isset ( $_POST['submit'] ) && !empty ( $_POST['nom'] ) && trim ( $_POST['nom'] ) != '' )
{
    $sql = "SELECT `membre_id`,
                   `membre_nom`,
                   `membre_actif`,
                   `membre_groupe`
            FROM `" . $database->pref . "membres`
            WHERE `membre_nom` = '" . $_POST['nom'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    // On vérifie que le membre existe
    if ( $database->NbrRowsSelected ( $req ) === 0 )
    {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_membre_inconnu'] . "</p>\n\n";
    }
    else
    {
        $row = $database->ResultArray ( $req );

        // On vérifie que ce n'est pas notre compte ou le compte de l'administrateur
        if ( $row['membre_id'] == $_SESSION['membre_id'] && $row['membre_nom'] == $_SESSION['membre'] || $row['membre_groupe'] == 3 )
        {
            $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_membre_you'] . "</p>\n\n";
        }
        // On vérifie que le compte est actif
        else if ( $row['membre_actif'] == 0 )
        {
            $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_membre_deleted'] . "</p>\n\n";
        }
        else
        {
            $sql = "UPDATE `" . $database->pref . "membres`
                    SET `membre_actif` = '0'
                    WHERE `membre_nom` = '" . $_POST['nom'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            $page_texte = sprintf ( "%s\n<p>" . $langue['membre_supprimer'] . "</p>\n" , $page_texte , $_POST['nom'] );
        }
    }
}

// Formulaire
$page_texte .= '<form action="index.' . EXT . '?page=Supprimer_un_membre" title="' . $langue['supprimer_membre'] . "\" method=\"post\">

<fieldset>
<legend>" . $langue['supprimer_membre'] . "</legend>

<label for=\"id_nom\">" . $langue['user'] . "&nbsp;:</label> <input type=\"text\" name=\"nom\" size=\"30\" id=\"id_nom\" value=\"\" maxlength=\"20\" /> 
<input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" />

</fieldset>

</form>";

?>