<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /langues/langue.php
 *  Date de création : avant le 13/08/2007
 *  Dernière modification : 14/09/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Langues
$langue['langue_00']    = 'Inconnue';
$langue['langue_de']    = 'Allemand';
$langue['langue_en']    = 'Anglais';
$langue['langue_es']    = 'Espagnol';
$langue['langue_fr']    = 'Français';
$langue['langue_it']    = 'Italien';
$langue['langue_ja']    = 'Japonais';
$langue['langue_ru']    = 'Russe';

// Mois (Statistiques)
$langue['mois_01']      = 'janvier';
$langue['mois_02']      = 'février';
$langue['mois_03']      = 'mars';
$langue['mois_04']      = 'avril';
$langue['mois_05']      = 'mai';
$langue['mois_06']      = 'juin';
$langue['mois_07']      = 'juillet';
$langue['mois_08']      = 'aout';
$langue['mois_09']      = 'septembre';
$langue['mois_10']      = 'octobre';
$langue['mois_11']      = 'novembre';
$langue['mois_12']      = 'décembre';

// Pays (Statistiques)
$langue['pays_00']      = 'Inconnu';
$langue['pays_AC']      = 'Île de l\'Ascension';
$langue['pays_AD']      = 'Andorre';
$langue['pays_AE']      = 'Émirats Arabes Unis';
$langue['pays_AF']      = 'Afghanistan';
$langue['pays_AG']      = 'Antigua et Barbade';
$langue['pays_AI']      = 'Anguilla';
$langue['pays_AL']      = 'Albanie';
$langue['pays_AM']      = 'Arménie';
$langue['pays_AN']      = 'Antilles néerlandaises';
$langue['pays_AO']      = 'Angola';
$langue['pays_AQ']      = 'Antartique';
$langue['pays_AR']      = 'Argentine';
$langue['pays_AS']      = 'Samoa américain';
$langue['pays_AT']      = 'Autriche';
$langue['pays_AU']      = 'Australie';
$langue['pays_AW']      = 'Aruba';
$langue['pays_AX']      = 'Åland ';
$langue['pays_AZ']      = 'Azerbaïdjan';
$langue['pays_BA']      = 'Bosnie-Herzégovine';
$langue['pays_BB']      = 'Barbade';
$langue['pays_BD']      = 'Bangladesh';
$langue['pays_BE']      = 'Belgique';
$langue['pays_BF']      = 'Burkina Faso';
$langue['pays_BG']      = 'Bulgarie';
$langue['pays_BH']      = 'Bahreïn';
$langue['pays_BI']      = 'Burundi';
$langue['pays_BJ']      = 'Bénin';
$langue['pays_BM']      = 'Bermudes';
$langue['pays_BN']      = 'Brunei';
$langue['pays_BO']      = 'Bolivie';
$langue['pays_BR']      = 'Brésil';
$langue['pays_BS']      = 'Bahamas';
$langue['pays_BT']      = 'Bhoutan';
$langue['pays_BV']      = 'Île Bouvet';
$langue['pays_BW']      = 'Botswana';
$langue['pays_BY']      = 'Biélorussie';
$langue['pays_BZ']      = 'Belize';
$langue['pays_CA']      = 'Canada';
$langue['pays_CC']      = 'Îles Cocos';
$langue['pays_CD']      = 'République démocratique du Congo';
$langue['pays_CF']      = 'République centrafricaine';
$langue['pays_CG']      = 'Congo';
$langue['pays_CH']      = 'Suisse';
$langue['pays_CI']      = 'Côte d\'Ivoire';
$langue['pays_CK']      = 'Îles Cook';
$langue['pays_CL']      = 'Chili';
$langue['pays_CM']      = 'Cameroun';
$langue['pays_CN']      = 'Chine';
$langue['pays_CO']      = 'Colombie';
$langue['pays_CR']      = 'Costa Rica';
#$langue['pays_CS']      = 'Serbie-et-Monténégro ou Tchécoslovaquie';
$langue['pays_CU']      = 'Cuba';
$langue['pays_CV']      = 'Cap-Vert';
$langue['pays_CX']      = 'Île Christmas';
$langue['pays_CY']      = 'Chypre';
$langue['pays_CZ']      = 'République tchèque';
$langue['pays_DE']      = 'Allemagne';
$langue['pays_DJ']      = 'Djibouti';
$langue['pays_DK']      = 'Danemark';
$langue['pays_DO']      = 'République dominicaine';
$langue['pays_DZ']      = 'Algérie';
$langue['pays_EC']      = 'Équateur';
$langue['pays_EE']      = 'Inconnu';
$langue['pays_EG']      = 'Inconnu';
$langue['pays_ES']      = 'Inconnu';
$langue['pays_ET']      = 'Inconnu';
$langue['pays_EU']      = 'Union Européenne';
$langue['pays_FI']      = 'Inconnu';
$langue['pays_FJ']      = 'Inconnu';
$langue['pays_FO']      = 'Inconnu';
$langue['pays_FR']      = 'France';
$langue['pays_GA']      = 'Inconnu';
$langue['pays_GB']      = 'Grande-Bretagne';
$langue['pays_GD']      = 'Inconnu';
$langue['pays_GE']      = 'Inconnu';
$langue['pays_GH']      = 'Inconnu';
$langue['pays_GI']      = 'Inconnu';
$langue['pays_GL']      = 'Inconnu';
$langue['pays_GM']      = 'Inconnu';
$langue['pays_GN']      = 'Inconnu';
$langue['pays_GR']      = 'Inconnu';
$langue['pays_GT']      = 'Inconnu';
$langue['pays_GU']      = 'Inconnu';
$langue['pays_HK']      = 'Inconnu';
$langue['pays_HN']      = 'Inconnu';
$langue['pays_HR']      = 'Inconnu';
$langue['pays_HT']      = 'Inconnu';
$langue['pays_HU']      = 'Inconnu';
$langue['pays_ID']      = 'Inconnu';
$langue['pays_IE']      = 'Inconnu';
$langue['pays_IL']      = 'Inconnu';
$langue['pays_IN']      = 'Inconnu';
$langue['pays_IO']      = 'Inconnu';
$langue['pays_IR']      = 'Inconnu';
$langue['pays_IS']      = 'Inconnu';
$langue['pays_IT']      = 'Inconnu';
$langue['pays_JM']      = 'Inconnu';
$langue['pays_JO']      = 'Inconnu';
$langue['pays_JP']      = 'Japon';
$langue['pays_KE']      = 'Inconnu';
$langue['pays_KG']      = 'Inconnu';
$langue['pays_KH']      = 'Inconnu';
$langue['pays_KI']      = 'Inconnu';
$langue['pays_KP']      = 'Inconnu';
$langue['pays_KR']      = 'Inconnu';
$langue['pays_KW']      = 'Inconnu';
$langue['pays_KZ']      = 'Inconnu';
$langue['pays_LA']      = 'Inconnu';
$langue['pays_LB']      = 'Inconnu';
$langue['pays_LI']      = 'Inconnu';
$langue['pays_LK']      = 'Inconnu';
$langue['pays_LS']      = 'Inconnu';
$langue['pays_LT']      = 'Inconnu';
$langue['pays_LU']      = 'Inconnu';
$langue['pays_LV']      = 'Inconnu';
$langue['pays_LY']      = 'Inconnu';
$langue['pays_MA']      = 'Inconnu';
$langue['pays_MC']      = 'Inconnu';
$langue['pays_MD']      = 'Inconnu';
$langue['pays_MK']      = 'Inconnu';
$langue['pays_ML']      = 'Inconnu';
$langue['pays_MM']      = 'Inconnu';
$langue['pays_MN']      = 'Inconnu';
$langue['pays_MO']      = 'Inconnu';
$langue['pays_MP']      = 'Inconnu';
$langue['pays_MT']      = 'Inconnu';
$langue['pays_MU']      = 'Inconnu';
$langue['pays_MV']      = 'Inconnu';
$langue['pays_MX']      = 'Inconnu';
$langue['pays_MY']      = 'Inconnu';
$langue['pays_MZ']      = 'Inconnu';
$langue['pays_NA']      = 'Inconnu';
$langue['pays_NC']      = 'Inconnu';
$langue['pays_NE']      = 'Inconnu';
$langue['pays_NG']      = 'Inconnu';
$langue['pays_NI']      = 'Inconnu';
$langue['pays_NL']      = 'Inconnu';
$langue['pays_NO']      = 'Inconnu';
$langue['pays_NP']      = 'Inconnu';
$langue['pays_NR']      = 'Inconnu';
$langue['pays_NZ']      = 'Inconnu';
$langue['pays_OM']      = 'Inconnu';
$langue['pays_PA']      = 'Panama';
$langue['pays_PE']      = 'Pérou';
$langue['pays_PF']      = 'Polynésie française';
$langue['pays_PG']      = 'Papouasie-Nouvelle-Guinée';
$langue['pays_PH']      = 'Philippines';
$langue['pays_PK']      = 'Pakistan';
$langue['pays_PL']      = 'Pologne';
$langue['pays_PR']      = 'Inconnu';
$langue['pays_PS']      = 'Inconnu';
$langue['pays_PT']      = 'Inconnu';
$langue['pays_PW']      = 'Inconnu';
$langue['pays_PY']      = 'Inconnu';
$langue['pays_QA']      = 'Inconnu';
$langue['pays_RO']      = 'Inconnu';
$langue['pays_RU']      = 'Inconnu';
$langue['pays_SA']      = 'Inconnu';
$langue['pays_SB']      = 'Inconnu';
$langue['pays_SD']      = 'Inconnu';
$langue['pays_SE']      = 'Suisse';
$langue['pays_SG']      = 'Inconnu';
$langue['pays_SI']      = 'Inconnu';
$langue['pays_SK']      = 'Inconnu';
$langue['pays_SL']      = 'Inconnu';
$langue['pays_SM']      = 'Inconnu';
$langue['pays_SN']      = 'Inconnu';
$langue['pays_SR']      = 'Inconnu';
$langue['pays_SV']      = 'Inconnu';
$langue['pays_SY']      = 'Inconnu';
$langue['pays_SZ']      = 'Inconnu';
$langue['pays_TG']      = 'Inconnu';
$langue['pays_TH']      = 'Thaïlande';
$langue['pays_TM']      = 'Turkménistan';
$langue['pays_TN']      = 'Tunisie';
$langue['pays_TO']      = 'Inconnu';
$langue['pays_TR']      = 'Turquie';
$langue['pays_TT']      = 'Trinité-et-Tobago';
$langue['pays_TV']      = 'Inconnu';
$langue['pays_TW']      = 'Inconnu';
$langue['pays_TZ']      = 'Inconnu';
$langue['pays_UA']      = 'Ukraine';
$langue['pays_UG']      = 'Ouganda';
$langue['pays_UK']      = 'Inconnu';
$langue['pays_US']      = 'États-Unis d\'Amérique';
$langue['pays_UY']      = 'Inconnu';
$langue['pays_UZ']      = 'Inconnu';
$langue['pays_VA']      = 'Vatican';
$langue['pays_VE']      = 'Venezuela';
$langue['pays_VN']      = 'Viet-Nam';
$langue['pays_VU']      = 'Vanuatu';
$langue['pays_WS']      = 'Inconnu';
$langue['pays_YE']      = 'Inconnu';
$langue['pays_YU']      = 'Yougoslavie';
$langue['pays_ZA']      = 'Inconnu';
$langue['pays_ZW']      = 'Inconnu';


// Toutes les variables par ordre alphabétique

$langue['accueil']              = 'Accueil'; // Accueil, {themes/~/page}
$langue['accueil_texte']        = 'Page d\'accueil'; //{themes/~/page}
$langue['actions']              = 'Actions'; //Amis, Administration_des_categories, Administration_des_forums
$langue['administration']       = 'Administration'; //Administration, {themes/~/page}
$langue['administration_texte'] = 'Administration du site'; //{themes/~/page}
$langue['admin_categorie']      = 'Administration des catégories'; //Administration, Administration_des_categories
$langue['admin_categorie_txt']  = 'Administration des catégories'; //Administration, Administration_des_categories
$langue['admin_forums']         = 'Administration des forums'; //Administration, Administration_des_forums
$langue['admin_forums_texte']   = 'Administration des forums'; //Administration, Administration_des_forums
$langue['admin_sondages']       = 'Administration des sondages'; //Administration_des_sondages
$langue['admin_sondages_texte'] = 'Administration des sondages'; //Administration_des_sondages
$langue['adresse_ip']           = 'Adresse IP'; //Statistiques
$langue['amis']                 = 'Vos amis'; //Amis, {themes/~/page}
$langue['amis_mbr']             = 'Ajouter ce membre à vos amis'; //Membre
$langue['amis_new']             = 'Ajouter un ami'; //Amis
$langue['amis_titre']           = 'Gestion de vos amis'; //Amis, {themes/~/page}
$langue['anonyme']              = 'Anonyme'; //Visiteurs, Sujets, Forums, News, Article, ~Menus/last_forums
$langue['article']              = 'Article'; //{themes/~/page}
$langue['article_deleted']      = 'Cet article a été supprimé.'; //Article
$langue['articles']             = 'Articles'; //Liste_des_articles, {themes/~/page}, Article
$langue['articles_liste']       = 'Liste des articles'; //Liste_des_articles, Article
$langue['articles_deleted']     = 'Articles supprimés'; //Articles_supprimes
$langue['articles_no_deleted']  = 'Aucun article n\'a été supprimé.'; //Articles_supprimes
$langue['articles_texte']       = 'Voir la liste des articles'; //{themes/~/page}
$langue['attention']            = 'Attention'; //{images}, {systeme/form_article}, Preferences, Messages
$langue['aucune_image']         = 'Aucune image.'; //Images
$langue['aucun_forum']          = 'Il n\'y a aucun forum actuellement.'; //Forums
$langue['aucun_message']        = 'Aucun message'; //Messagerie, Forums
$langue['auteur']               = 'Auteur'; //Forums, Messagerie, News, Sujets, Fichier
$langue['avatar']               = 'Avatar'; //News, Preferences, Sujets
$langue['avatar_of']            = 'Avatar de '; //Membres, News, Sujets, Equipe
$langue['avatar_search']        = 'Chercher...'; //Preferences
$langue['bannir']               = 'Bannir une adresse IP'; //Bannir
$langue['bloquage']             = 'Bloquage du site'; //Administration, Bloquage
$langue['bloquage_texte']       = 'Bloquage du site'; //Administration
$langue['categorie']            = 'Catégorie'; //{systeme/form_article}, Administration_des_catégories
$langue['categories']           = 'Catégories'; //Liste_des_articles
$langue['choix_multiples']      = 'Choix multiples'; //Administration_des_sondages
$langue['choix_numero']         = 'Choix n°'; //Administration_des_sondages
$langue['choix_unique']         = 'Une seule réponse'; //Administration_des_sondages
$langue['clic_here']            = 'Cliquez-ici'; //Supprimer_un_article
$langue['close']                = 'Fermer la page'; //Images
$langue['commentaires']         = 'Commentaires'; //News
$langue['communaute']           = 'Communauté'; //{themes/~/page}
$langue['configuration']        = 'Configuration du site'; //Configuration
$langue['confirm']              = 'Confirmez le mot de passe'; //Inscription, Preferences
$langue['connecte']             = 'Connecté'; //Liste_des_membres
$langue['contenu']              = 'Contenu'; //{systeme/form_article}
$langue['date']                 = 'Date'; //Amis, Bannir, Configuration, Messagerie, News, Administration_des_sondages
$langue['date_upload']          = 'Date d\'envoi'; //Fichier
$langue['date_inconnue']        = 'Inconnue'; //Liste_des_membres
$langue['deconnecte']           = 'Déconnecté'; //Liste_des_membres
$langue['delete_of']            = 'Suppression de '; //Supprimer_un_article
$langue['deplacer']             = 'Déplacer'; //Administration_des_categories
$langue['deplacer_cat']         = 'Déplacer cette catégorie'; //Administration_des_categories
$langue['description']          = 'Description'; //Administration_des_forums
$langue['destinataire']         = 'Destinataire'; //Messagerie
$langue['destinataires']        = 'Destinataires'; //Messagerie
$langue['droit']                = 'Droit'; //Groupes
$langue['duree']                = 'Durée'; //Bannir
$langue['editer']               = 'Éditer'; //Accueil, Article, Historique, News, Sujets, Supprimer_un_article
$langue['editer_article']       = 'Éditer cet article'; //Accueil, Article, Historique, Supprimer_un_article
$langue['editer_commentaire']   = 'Éditer un commentaire'; //Commentaires
$langue['editer_message']       = 'Éditer ce message'; //News, Sujets
$langue['editer_news']          = 'Éditer une news'; //News
$langue['edit_of']              = 'Édition de '; //Editer_un_article
$langue['email']                = 'Adresse e-mail'; //Inscription, Membres, Preferences
$langue['erreur']               = 'Erreur'; //Administration_des_categories, Administration_des_forums, Administration_des_sondages, Ajouter_un_article, Amis, Bannir, Bloquage, Commentaires, Configuration, Connexion, Editer un article, Envoyer_un_fichier, Inscription, Membres, Messagerie, Messages, Modifier_un_membre, News, Nouveau_mdp, Preferences, Supprimer_un_membre, Edit_accueil
$langue['err_ami_exist']        = 'Cette amitié existe déjà.'; //Amis
$langue['err_ami_you']          = 'Vous ne pouvez pas vous ajouter comme ami !'; //Amis
$langue['err_article_isset']    = 'L\'article <q>%s</q> existe déjà.'; //Ajouter_un_article
$langue['err_email_format']     = 'Le format de l\'adresse e-mail est incorrect.'; //Inscription, Nouveau_mdp, Preferences
$langue['err_email_use']        = 'L\'adresse e-mail est déjà utilisé par un utilisateur.'; //Inscription
$langue['err_file_format']      = 'Vous n\'êtes pas autorisés à envoyer ce type de fichier.'; //Envoyer_un_fichier
$langue['err_file_quota']       = 'Vous ne pouvez envoyer ce fichier car votre quota d\'upload serait dépassé.'; //Envoyer_un_fichier
$langue['err_file_size']        = 'Le fichier est trop volumineux (%d octets).'; //Envoyer_un_fichier
$langue['err_file_upload']      = 'Le fichier n\'a pas pu être copié.'; //Envoyer_un_fichier
$langue['err_mdp']              = 'Les deux mots de passe ne sont pas identiques.'; //Inscription, Preferences
$langue['err_mdp_mauvais']      = 'Le mot de passe est incorrect.'; //Connexion
$langue['err_mdp_old']          = 'L\'ancien mot de passe est incorrect.'; //Preferences
$langue['err_mdp_size']         = 'Le mot de passe doit contenir entre 6 et 16 caractères.'; //Inscription, Preferences
$langue['err_membre_deleted']   = 'Le compte de cet utilisateur est déjà inactif.'; //Supprimer_un_membre
$langue['err_membre_inactif']   = 'Ce compte n\'est pas actif, parce que vous n\'avez pas validé votre inscription ou que votre compte a été supprimé.'; //Connexion
$langue['err_membre_inconnu']   = 'Ce nom d\'utilisateur n\'est utilisé par aucun membre.'; //Modifier_un_membre, Supprimer_un_membre, Connexion
$langue['err_membre_you']       = 'Vous ne pouvez pas supprimer votre propre compte !'; //Supprimer_un_membre
$langue['err_nom_use']          = 'Le nom de destination est déjà utilisé.'; //Administration_des_forums
$langue['err_oblig']            = 'Vous n\'avez pas rempli tous les champs obligatoires.'; //Administration_des_categories, Administration_des_forums, Administration_des_sondages, Ajouter_un_article, Commentaires, Configuration, Connexion, Editer_un_article, Inscription, Messagerie, Messages, News, Preferences, Edit_accueil
$langue['fermer']               = 'Fermer'; //Sujets
$langue['fermer_texte']         = 'Fermer ce sujet'; //Sujets
$langue['file']                 = 'Fichier'; //Fichier
$langue['file_adresse']         = 'Adresse du fichier'; //Envoyer_un_fichier
$langue['file_name']            = 'Nom du fichier'; //Envoyer_un_fichier
$langue['forum']                = 'Forum'; //Membres, Forums
$langue['forums']               = 'Forums'; //Forums, {themes/~/page}, Sujets, Statistiques
$langue['forums_texte']         = 'Consulter les forums'; //Forums, {themes/~/page}, Sujets
$langue['groupe']               = 'Groupe'; //Membres, Article, Sujets, News
$langue['groupes_titre']        = 'Gérer les groupes et les droits'; //Groupes
$langue['historique']           = 'Historique'; //Accueil, Article, Editer_un_article, Supprimer_un_article
$langue['historique_of']        = 'Historique de '; //Historique
$langue['historique_texte']     = 'Historique de cet article'; //Accueil, Article, Editer_un_article, Supprimer_un_article
$langue['images']               = 'Vos images'; //Images
$langue['infosgal']             = 'Informations générales'; //{systeme/form_article}
$langue['inscription']          = 'Inscription'; //Inscription, {themes/~/page}
$langue['inscription_texte']    = 'S\'inscrire sur le site'; //{themes/~/page}
$langue['langue']               = 'Langue'; //{systeme/form_article}, Preferences, Recherche, Statistiques
$langue['langues']              = 'Langues'; //Statistiques
$langue['last_message']         = 'Dernier message'; //Forums
$langue['last_modification']    = 'Dernière modification le '; //Article
$langue['last_visite']          = 'Dernière visite'; //Liste_des_membres, Visiteurs
$langue['lectures']             = 'Lectures'; //Forums, News, Messagerie
$langue['liste_file']           = 'Liste des fichiers'; //Fichier
$langue['liste_forums']         = 'Liste des forums'; //Forums
$langue['liste_news']           = 'Liste des news'; //News
$langue['liste_visiteurs']      = 'Liste des visiteurs du site'; //{themes/~/page}, Visiteurs
$langue['localisation']         = 'Localisation'; //Membres, Preferences
$langue['login']                = 'Connexion'; //Connexion, {themes/~/page}
$langue['login_texte']          = 'Se connecter sur le site'; //{themes/~/page}
$langue['logout']               = 'Déconnexion'; //{themes/~/page}
$langue['logout_texte']         = 'Se déconnecter du site'; //{themes/~/page}
$langue['mdp_oublie']           = 'Vous avez oublié votre mot de passe ?'; //Connexion
$langue['mdp_oublie_texte']     = 'Cliquez ici si vous ne vous souvenez plus de votre mot de passe'; //Connexion
$langue['membre_supprimer']     = 'L\'utilisateur <q>%s</q> a été supprimé.'; //Supprimer_un_membre
$langue['membres']              = 'Membres du site'; //{themes/~/page}
$langue['membres_liste']        = 'Liste des membres du site'; //Administration
$langue['membres_texte']        = 'Voir la liste des membres du site'; //Administration, {themes/~/page}
$langue['memory']               = 'Se souvenir de moi'; //Connexion
$langue['messagerie']           = 'Vos messages'; //{themes/~/page}
$langue['messagerie_mbr']       = 'Envoyer un message à ce membre'; //Membres
$langue['messagerie_titre']     = 'Gestion de vos messages'; //{themes/~/page}, Messagerie
$langue['message']              = 'Message'; //Sujets, News, Article
$langue['messages']             = 'Messages'; //Forums, Membres
$langue['modifier']             = 'Modifier'; //Administration_des_categories, Administration_des_forums
$langue['modifier_article']     = 'Modifier un article'; //Editer_un_article
$langue['modifier_cat']         = 'Modifier cette catégorie'; //Administration_des_categories
$langue['modifier_membre']      = 'Modifier la fiche d\'un membre'; //Modifier_un_membre
$langue['naissance']            = 'Date de naissance'; //Liste_des_membres, Membre
$langue['navigateur']           = 'Navigateur'; //Statistiques
$langue['navigateurs']          = 'Navigateurs'; //Statistiques
$langue['navigation']           = 'Navigation'; //Forums, Article, Liste_des_articles
$langue['nbr_msg']              = '%d messages'; //Statistiques
$langue['nbr_sujets']           = '%d sujets'; //Statistiques
$langue['newarticle']           = 'Ajout d\'un article'; //Ajouter_un_article
$langue['newgroup']             = 'Nouveau groupe'; //Groupes
$langue['newpass']              = 'Nouveau mot de passe'; //Preferences
$langue['news']                 = 'News'; //~/systeme/page, News
$langue['news_new']             = 'Nouvelle news'; //News
$langue['news_texte']           = 'News du site'; //~/systeme/page
$langue['nouvelle_categorie']   = 'Nouvelle catégorie'; //Administration_des_categories, Administration_des_forums
$langue['nouvel_article']       = 'Nouvel article'; //~/systeme/page
$langue['nouvel_article_texte'] = 'Écrire un nouvel article'; //~/systeme/page
$langue['nouveau_commentaire']  = 'Nouveau commentaire'; //Commentaires, Article
$langue['nouveau_forum']        = 'Nouveau forum'; //Administration_des_forums
$langue['nouveau_message']      = 'Nouveau message'; //Messages
$langue['nouveau_sondage']      = 'Nouveau sondage'; //Administration_des_sondages
$langue['nouveau_sujet']        = 'Nouveau sujet'; //Forums, Messages
$langue['nouveau_sujet_texte']  = 'Poster un nouveau sujet'; //Forums
$langue['no_categorie']         = 'Aucune'; //Administration_des_categories
$langue['no_image']             = 'Vous n\'avez pas d\'images dans votre répertoire.'; //Images
$langue['oldpass']              = 'Ancien mot de passe'; //Préférences
$langue['old_version']          = 'Ancienne version de '; //Article
$langue['ouvrir']               = 'Ouvrir'; //Sujets
$langue['ouvrir_texte']         = 'Ouvrir ce sujet'; //Sujets
$langue['page']                 = 'Page'; //Forums, Liste_des_membres, News, Statistiques, Sujets, Visiteurs
$langue['page_goto']            = 'Aller à la page '; //Forums, Liste_des_membres, News, Statistiques, Sujets, Visiteurs
$langue['password']             = 'Mot de passe'; //Bloquage, Connexion, Inscription, Preferences
$langue['password_forgot']      = 'Mot de passe oublié'; //Nouveau_mdp
$langue['pays']                 = 'Pays'; //Statistiques
$langue['poste_le']             = 'Posté le '; //News, Sujets
$langue['postee_le']            = 'Postée le '; //Accueil
$langue['prefs']                = 'Préférences'; //~/systeme/page, Preferences
$langue['prefs_texte']          = 'Modifier vos préférences'; //~/systeme/page
$langue['profession']           = 'Profession'; //Membres
$langue['question']             = 'Question'; //Administration_des_sondages
$langue['read_news']            = 'Lecture d\'une news'; //News
$langue['recherche']            = 'Recherche'; //~/systeme/page, Recherche
$langue['rechercher']           = 'Rechercher'; //~/systeme/page, Recherche
$langue['repondre']             = 'Répondre'; //Messagerie, Sujets
$langue['repondre_texte']       = 'Répondre à ce sujet'; //Sujets
$langue['reponses']             = 'Réponses'; //Forums, Administration_des_sondages
$langue['retablir']             = 'Rétablir'; //Articles_supprimes
$langue['seconde']              = ' s'; //{themes/~/page}
$langue['signature']            = 'Signature'; //Membres, Preferences
$langue['sondages']             = 'Sondages'; //{themes/~/page}, Sondages
$langue['sondages_texte']       = 'Consulter les sondages'; //~/systeme/page
$langue['statistiques']         = 'Statistiques'; //Statistiques
$langue['stat_visites']         = 'Liste détaillée des visites'; //Statistiques
$langue['style']                = 'Style'; //Preferences
$langue['sujet']                = 'Sujet'; //Messagerie, Message
$langue['sujets']               = 'Sujets'; //Forums
$langue['supprimer']            = 'Supprimer'; //Administration_des_categories, Administration_des_forums, Article, Editer_un_article, Historique, News, Sujets, Accueil, Liste_des_fichiers, Groupes
$langue['supprimer_article']    = 'Supprimer cet article'; //Article, Editer_un_article, Historique, Supprimer_un_article
$langue['supprimer_cat']        = 'Supprimer cette catégorie'; //Administration_des_categories
$langue['supprimer_file']       = 'Supprimer ce fichier'; //Fichier
$langue['supprimer_membre']     = 'Supprimer un membre'; //Administration, Supprimer_un_membre
$langue['supprimer_membre_txt'] = 'Supprimer un membre du site'; //Administration
$langue['supprimer_message']    = 'Supprimer ce message'; //News, Sujets
$langue['supprimer_news']       = 'Supprimer une news'; //News
$langue['systeme']              = 'Système d\'exploitation'; //Statistiques
$langue['systemes']             = 'Systèmes d\'exploitation'; //Statistiques
$langue['taille']               = 'Taille'; //Fichier
$langue['time_at']              = ' à '; //Accueil, Article, Bannir, Forums, Historique, Liste_des_membres, {bloquage}, {systeme/page}, {systeme/page_autres}, Membres, Messagerie, News, Preferences, Recherche, Statistiques, Visiteurs, Messages_contact, Equipe
$langue['titre']                = 'Titre'; //Administration_des_forums, {systeme/form_article}, News
$langue['today']                = 'Aujourd\'hui'; //Forums
$langue['upload']               = 'Envoyer un fichier'; //Envoyer_un_fichier, ~/systeme/page
$langue['upload_ok']            = 'Le fichier <q>%s</q> a été copié sur le serveur.'; //Envoyer_un_fichier
$langue['user']                 = 'Nom d\'utilisateur'; //Amis, Connexion, Inscription, Liste_des_membres, Modifier_un_membre, Preferences, Supprimer_un_membre, Visiteurs
$langue['valider']              = 'Valider'; //Administration_des_categories, Administration_des_forums, Administration_des_sondages, Amis, Bannir, Bloquage, Configuration, Connexion, Envoyer_un_fichier, Inscription, {systeme/form_article}, {systeme/form_message}, Modifier_un_membre, Nouveau_mdp, Preferences, Sondages, Supprimer_un_membre, Reponse_automatique, Contact, Forums
$langue['version_actuelle']     = 'Version actuelle'; //Article
$langue['version_actuelle_txt'] = 'Voir la version actuelle de cet article'; //Article
$langue['version_du']           = 'Version du '; //Article
$langue['version_pre']          = 'Version précédente'; //Article
$langue['version_pre_texte']    = 'Voir la précédente version de cet article'; //Article
$langue['version_sui']          = 'Version suivante'; //Article
$langue['version_sui_texte']    = 'Voir la version suivante de cet article'; //Article
$langue['view_article']         = 'Voir l\'article'; //Editer_un_article, Historique, Supprimer_un_article
$langue['view_fiche']           = 'Voir la fiche de '; //Accueil, Amis, Article, Forums, Liste_des_membres, ~/systeme/page, Messagerie, News, Sujets, Visiteurs, Recherche
$langue['visiteurs']            = 'Visiteurs du site'; //~/systeme/page
$langue['yesterday']            = 'Hier'; //Forums
$langue['_commentaire']         = ' commentaire'; //Accueil, News, Article
$langue['_commentaires']        = ' commentaires'; //Accueil, News, Article
$langue['_connecte']            = ' est connecté'; //Membres
$langue['_deconnecte']          = ' est déconnecté'; //Membres
$langue['_lecture']             = ' lecture'; //Accueil, News, Article
$langue['_lectures']            = ' lectures'; //Accueil, News, Article
$langue['_membre']              = ' membre'; //Groupes
$langue['_membres']             = ' membres'; //Groupes
$langue['_par_']                = ' par '; //Article, Forums, Accueil, News, Messagerie, Sujets, ~index, ~/systeme/page
$langue['_to_delete']           = ' pour supprimer cet article.'; //Supprimer_un_article

?>