<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Images.php
 *  Date de création : 14/08/2007
 *  Dernière modification : 14/09/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


if ( $_SESSION['groupe'] == 1 )
{
    header ( 'Location: index.' . EXT );
    die ( -1 );
}

// Titre de la page
$page_titre = $langue['images'];
$page_simple = 1;


$sql = "SELECT `fichier_id`,
               `fichier_extension`,
               `fichier_nom`
        FROM `" . $database->pref . "fichiers`
        WHERE `fichier_membre` = '" . $_SESSION['membre_id'] . "'
            AND
            (
                   `fichier_extension` = 'bmp'
                OR `fichier_extension` = 'jpg'
                OR `fichier_extension` = 'jpeg'
                OR `fichier_extension` = 'gif'
                OR `fichier_extension` = 'png'
            );";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

if ( $database->NbrRowsSelected ( $req ) === 0 )
{
    $page_texte .= '<p>' . $langue['no_image'] . "</p>\n";
}
else
{
    $page_texte .= "\n<p>Cliquez sur une image pour copier son adresse dans le formulaire.</p>\n";
    $page_texte .= '<noscript><p><strong>' . $langue['attention'] . "&nbsp;:</strong> Vous n'avez pas activé JavaScript, vous devrez donc copier l'adresse de l'image que vous choisissez comme avatar dans le formulaire de la page précédente. Cette adresse apparait quand vous survolez une image avec votre curseur.</p></noscript>\n\n";
    $page_texte .= "<div id=\"repertoire\">\n";

    $page_texte .= "  <div class=\"image\">\n";
    $page_texte .= "    <a href=\"#\" onclick=\"opener.document.getElementById('id_avatar').value='';window.close();\">" . $langue['aucune_image'] . "</a><br/>\n";
    $page_texte .= "  </div>\n";

    while ( $row = $database->ResultArray ( $req ) )
    {
        // Si la miniature n'existe pas, on tente de la créer
        if ( !is_file ( 'fichiers/thumbs/200px-' . $row['fichier_id'] . '.' . $row['fichier_extension'] ) )
        {
            $site->CreateMiniature ( $row['fichier_id'] , $row['fichier_extension'] , 200 );
        }

        $page_texte .= "  <div class=\"image\">\n";
        $page_texte .= "    <a href=\"#\" onclick=\"opener.document.getElementById('id_avatar').value='" . $row['fichier_id'] . '.' . $row['fichier_extension'] . "';window.close();\">";

        // Affichage de la miniature pour les plus grosses images
        if ( is_file ( 'fichiers/thumbs/200px-' . $row['fichier_id'] . '.' . $row['fichier_extension'] ) )
        {
            $page_texte .= "<img src=\"fichiers/thumbs/200px-" . $row['fichier_id'] . '.' . $row['fichier_extension'] . '" alt="' . $row['fichier_nom'] . "\" title=\"" . $row['fichier_id'] . '.' . $row['fichier_extension'] . "\" /></a><br />\n";
        }
        else
        {
            $page_texte .= "<img src=\"fichiers/" . $row['fichier_id'] . '.' . $row['fichier_extension'] . '" alt="' . $row['fichier_nom'] . '" title="' . $row['fichier_id'] . '.' . $row['fichier_extension'] . "\" /></a><br />\n";
        }

        $page_texte .= "    <a href=\"#\" onclick=\"opener.document.getElementById('id_avatar').value='" . $row['fichier_id'] . '.' . $row['fichier_extension'] . "';window.close();\">" . $row['fichier_nom'] . "</a><br />\n";
        $page_texte .= "  </div>\n";
    }

    $page_texte .= "</div>\n\n<p class=\"centre\"><a href=\"#\" onclick=\"window.close();\">" . $langue['close'] . "</a></p>\n";
}

?>