<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /pages/Nouveau_mdp.php
 *  Date de création : avant le 12/08/2007
 *  Dernière modification : 14/09/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


if ( $_SESSION['groupe'] != 1 )
{
    header ( 'Location: index.' . EXT );
    die ( -1 );
}


// Titre de la page
$page_titre = $langue['password_forgot'];
$page_infos = $langue['password_forgot'];


if ( isset ( $_GET['cle'] ) && isset ( $_GET['id'] ) )
{
    $sql = "SELECT `membre_nom`,
                   `membre_groupe`
            FROM `" . $database->pref . "membres`
            WHERE `membre_cle` = '" . $_GET['cle'] . "'
            AND `membre_id` = '" . $_GET['id'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) === 0 )
    {
        header ( 'Location: index.' . EXT );
        die ( -1 );
    }

    $row = $database->ResultArray ( $req );

    // Connexion
    $_SESSION['membre'] = $row['membre_nom'];
    $_SESSION['membre_id'] = $_GET['id'];
    $_SESSION['groupe'] = $row['membre_groupe'];

    $new_mdp = $site->GenerePassword ();

    // On met le nouveau mot de passe dans la base
    $sql = "UPDATE `" . $database->pref . "membres`
            SET `membre_cle`= '0',
                `membre_mdp` = '" . md5 ( $new_mdp ) . "'
            WHERE `membre_id` = '" . $_GET['id'] . "';";

    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    $page_texte .= "\n<p>Votre nouveau mot de passe est <q>" . $new_mdp . "</q>. Vous pouvez le changer en allant dans vos préférences.</p>\n";
}
else
{
    if ( isset ( $_POST['submit'] ) )
    {
        // Vérification du format de l'adresse e-mail
        if ( !preg_match ( "#([a-z0-9._-]+@[a-z0-9._-]{2,}\.[a-z]{2,4})#" , $_POST['email'] ) )
        {
            $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_email_format'] . "</p>\n\n";
        }
        else
        {
            $sql = "SELECT `membre_id`,
                           `membre_nom`
                    FROM `" . $database->pref . "membres`
                    WHERE `membre_email` = '" . $_POST['email'] . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            if ( $database->NbrRowsSelected ( $req ) === 0 )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> L'adresse e-mail que vous avez donnée n'est associée à aucun membre du site.</p>\n\n";
            }
            else
            {
                $row = $database->ResultArray ( $req );

                $cle = mt_rand ();

                $sql = "UPDATE `" . $database->pref . "membres`
                        SET `membre_cle` = '" . $cle . "'
                        WHERE `membre_id` = '" . $row['membre_id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


                $mail = SendEmail ( $row['membre_nom'] . ' <' . $_POST['email'] . '>' , $configuration['titre'] . ' <' . $configuration['email'] . '>' , 'Nouveau mot de passe' , '<h1>' . $configuration['titre'] . "</h1>\n\n<p>Bonjour, quelqu'un (sans doute vous) a demandé a obtenir un nouveau mot de passe pour le compte correspondant à l'adresse " . $_POST['email'] . ".</p>\n\n<p><a href=\"" . $configuration['adresse'] . '/index.' . EXT . '?page=Nouveau_mdp&amp;id=' . $row['membre_id'] . '&amp;cle=' . $cle . "\">Cliquez-ici</a> pour obtenir un nouveau mot de passe.</p>\n\n<p>Si vous ne souhaitez pas obtenir un nouveau mot de passe, il vous suffit de vous connecter sur le site pour annuler cette demande.</p>" );

                if ( $mail === true )
                {
                    $page_msg = 27;
                    include_once ( 'systeme/msg.' . EXT );
                }


                $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Impossible d'envoyer le message. Veuillez réessayer plus tard ou contacter l'administrateur du site.</p>\n\n";
            }
        }
    }

    $page_texte .= "<p>Si vous avez oublié votre mot de passe, vous pouvez en générer un nouveau en donnant l'adresse e-mail avec laquelle vous vous êtes inscrit sur le site. Un message vous sera envoyé, il vous suffira de cliquer ou de copier le lien qu'il contiendra pour obtenir un nouveau mot de passe.</p>\n\n";
    $page_texte .= '<form action="index.' . EXT . '?page=Nouveau_mdp' . "\" title=\"Nouveau mot de passe\" method=\"post\">\n\n";
    $page_texte .= "<fieldset>\n<legend>Nouveau mot de passe</legend>\n\n";
    $page_texte .= "<label for=\"id_email\">Adresse e-mail&nbsp;:</label> <input type=\"text\" name=\"email\" id=\"id_email\" value=\"\" />\n";
    $page_texte .= "<input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" />\n\n</fieldset>\n</form>";
}

?>