<?php
/***************************************************************************
 *  Copyright (C) 2007 Michel Teddy
 *  This file is part of Tagadash
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/
/***************************************************************************
 *  Fichier : /systeme/form_article.php
 *  Date de création : avant le 03/08/2007
 *  Dernière modification : 26/08/2007
 ***************************************************************************/

// Sécurité
if ( !defined ( 'TAGADASH' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Variables obligatoires :
if ( !isset ( $form_adresse ) ) $form_adresse = '';
if ( !isset ( $form_titre ) ) $form_titre = '';
if ( !isset ( $form_codes ) ) $form_codes = '';
if ( !isset ( $form_categories ) ) $form_categories = '';
if ( !isset ( $form_langues ) ) $form_langues = '';

// Variables facultatives :
if ( !isset ( $form_champ_titre ) ) $form_champ_titre = '';
if ( !isset ( $form_champ_titre_disabled ) ) $form_champ_titre_disabled = '';
if ( !isset ( $form_champ_cat_disabled ) ) $form_champ_cat_disabled = '';
if ( !isset ( $form_champ_texte ) ) $form_champ_texte = '';


$page_texte .= "<noscript>
<p><strong>" . $langue['attention'] . "</strong> : Vous n'avez pas activé JavaScript, vous ne pouvez donc pas utiliser les boutons du formulaire pour éditer votre article et vous ne pourrez pas en avoir un aperçu.</p>
</noscript>

<form action=\"" . $form_adresse . "\" method=\"post\" title=\"" . $form_titre . "\">

<fieldset>
<legend>" . $langue['infosgal'] . "</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_titre\">" . $langue['titre'] . " :</label><input name=\"titre\" id=\"id_titre\" size=\"50\" type=\"text\" value=\"" . $form_champ_titre . "\"" . $form_champ_titre_disabled . " /></p>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_categorie\">" . $langue['categorie'] . " :</label><select name=\"categorie\" id=\"id_categorie\"" . $form_champ_cat_disabled . ">
  <option value=\"0\">Aucune</option>
" . $form_categories . "</select></p>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_langue\">" . $langue['langue'] . " :</label><select name=\"langue\" id=\"id_langue\">
" . $form_langues . "</select></p>

</fieldset>

<fieldset>
<legend>" . $langue['contenu'] . "</legend>

<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/form_gras.png\" alt=\"Gras\" title=\"Gras\" onclick=\"javascript:balise('<gras>','</gras>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_italique.png\" alt=\"Italique\" title=\"Italique\" onclick=\"javascript:balise('<italique>','</italique>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_souligne.png\" alt=\"Souligné\" title=\"Souligné\" onclick=\"javascript:balise('<souligne>','</souligne>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_barre.png\" alt=\"Barré\" title=\"Barré\" onclick=\"javascript:balise('<barre>','</barre>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_citation.png\" alt=\"Guillemets\" title=\"Guillemets\" onclick=\"javascript:balise('«&nbsp;','&nbsp;»');preview();\" class=\"bouton\" />
</span>

<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/form_liste.png\" alt=\"Liste à puces\" title=\"Liste à puces\" onclick=\"javascript:ajoute_liste()\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_citation.png\" alt=\"Citation\" title=\"Citation\" onclick=\"javascript:ajoute_balise('citation','nom','Veuillez indiquer l\'auteur de la citation', '')\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_image.png\" alt=\"Image\" title=\"Image\" onclick=\"javascript:balise('<image>','</image>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_lien.png\" alt=\"Lien\" title=\"Lien\" onclick=\"javascript:ajoute_balise('lien','titre','Veuillez indiquer l\'adresse du lien', 'balise');\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_mail.png\" alt=\"E-mail\" title=\"E-mail\" onclick=\"javascript:ajoute_balise('email','nom','Veuillez indiquer l\'adresse email', 'balise');\" class=\"bouton\" />
</span>

<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/icone_info.png\" alt=\"Information\" title=\"Information\" onclick=\"javascript:balise('<information>','</information>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/icone_attention.png\" alt=\"Attention\" title=\"Attention\" onclick=\"javascript:balise('<attention>','</attention>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/icone_erreur.png\" alt=\"Erreur\" title=\"Erreur\" onclick=\"javascript:balise('<erreur>','</erreur>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/icone_question.png\" alt=\"Question\" title=\"Question\" onclick=\"javascript:balise('<question>','</question>');preview();\" class=\"bouton\" />
</span>

<br />

<span class=\"boutons\">
  <small>Smilies :</small>
  <img src=\"themes/commun/images/smilies/01.png\" alt=\":)\" title=\":)\" onclick=\"javascript:balise( ':)' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/02.png\" alt=\":D\" title=\":D\" onclick=\"javascript:balise( ':D' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/03.png\" alt=\";)\" title=\";)\" onclick=\"javascript:balise( ';)' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/04.png\" alt=\":p\" title=\"\" onclick=\"javascript:balise( ':p' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/05.gif\" alt=\":lol:\" title=\":lol:\" onclick=\"javascript:balise( ':lol:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/06.gif\" alt=\":euh:\" title=\":euh:\" onclick=\"javascript:balise( ':euh:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/07.png\" alt=\":(\" title=\":(\" onclick=\"javascript:balise( ':(' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/08.png\" alt=\":o\" title=\":o\" onclick=\"javascript:balise( ':o' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/09.png\" alt=\":colere:\" title=\":colere:\" onclick=\"javascript:balise( ':colere:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/10.gif\" alt=\"o_O\" title=\"o_O\" onclick=\"javascript:balise( 'o_O' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/11.png\" alt=\"^^\" title=\"^^\" onclick=\"javascript:balise( '^^' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/12.png\" alt=\":-°\" title=\":-°\" onclick=\"javascript:balise( ':-°' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/13.png\" title=\":'(\" alt=\":'(\" onclick=\"balise( ':\'(' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/14.png\" title=\">_<\" alt=\">_<\" onclick=\"balise( '>_<' ,'');preview();\" class=\"bouton\" />
</span>

<br />

<span class=\"cleaner\">

  <select id=\"code_texte\" onchange=\"add_bal('code','type','code_texte')\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Code</option>
    <option value=\"html4strict\">(x)HTML</option>
    <option value=\"css\">CSS</option>
    <option value=\"xml\">XML</option>
    <option value=\"php\">PHP</option>
    <option value=\"mysql\">MySQL</option>
    <option value=\"c\">C</option>
    <option value=\"cpp\">C++</option>
    <option value=\"\">Autres</option>
  </select>

  <select id=\"position_texte\" onchange=\"javascript:add_bal('position','valeur','position_texte')\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Position</option>
    <option value=\"justifie\">Justifié</option>
    <option value=\"gauche\">À gauche</option>
    <option value=\"centre\" class=\"centre\">Centré</option>
    <option value=\"droite\" class=\"droite\">À droite</option>
  </select>

  <select id=\"flottant_texte\" onchange=\"javascript:add_bal('flottant','valeur','flottant_texte')\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Flottant</option>
    <option value=\"gauche\">À gauche</option>
    <option value=\"droite\" class=\"droite\">À droite</option>
  </select>

  <select id=\"taille_texte\" onchange=\"javascript:add_bal('taille','valeur','taille_texte')\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Taille</option>
    <option value=\"ttpetit\">Très très petit</option>
    <option value=\"tpetit\">Très petit</option>
    <option value=\"petit\">Petit</option>
    <option value=\"gros\">Gros</option>
    <option value=\"tgros\">Très gros</option>
    <option value=\"ttgros\">Très très gros</option>
  </select>

  <select id=\"couleur_texte\" onchange=\"javascript:add_bal('couleur','nom','couleur_texte')\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Couleur</option>
    <option value=\"noir\" class=\"noir\">noir</option>
    <option value=\"rose\" class=\"rose\">rose</option>
    <option value=\"rouge\" class=\"rouge\">rouge</option>
    <option value=\"orange\" class=\"orange\">orange</option>
    <option value=\"jaune\" class=\"jaune\">jaune</option>
    <option value=\"vertc\" class=\"vertc\">vert clair</option>
    <option value=\"vertf\" class=\"vertf\">vert foncé</option>
    <option value=\"olive\" class=\"olive\">olive</option>
    <option value=\"turquoise\" class=\"turquoise\">turquoise</option>
    <option value=\"bleugris\" class=\"bleugris\">bleu-gris</option>
    <option value=\"bleu\" class=\"bleu\">bleu</option>
    <option value=\"marine\" class=\"marine\">marine</option>
    <option value=\"violet\" class=\"violet\">violet</option>
    <option value=\"marron\" class=\"marron\">marron</option>
    <option value=\"gris\" class=\"gris\">gris</option>
    <option value=\"argent\" class=\"argent\">argent</option>
    <option value=\"blanc\" class=\"blanc\">blanc</option>
  </select>

  <select id=\"police_texte\" onchange=\"javascript:add_bal('police','nom','police_texte')\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Police</option>
    <option value=\"arial\" class=\"arial\">arial</option>
    <option value=\"times\" class=\"times\">times</option>
    <option value=\"courrier\" class=\"courrier\">courrier</option>
    <option value=\"impact\" class=\"impact\">impact</option>
    <option value=\"geneva\" class=\"geneva\">geneva</option>
    <option value=\"optima\" class=\"optima\">optima</option>
  </select>

  <select id=\"semantique_texte\" onchange=\"javascript:balise('&lt;'+this.value+'&gt;','&lt;/'+this.value+'&gt;');preview();this.options[0].selected = true;\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Sémantique</option>
    <option value=\"titre2\">Titre 2</option>
    <option value=\"titre3\">Titre 3</option>
    <option value=\"titre4\">Titre 4</option>
    <option value=\"titre5\">Titre 5</option>
    <option value=\"titre6\">Titre 6</option>
  </select>
</span>

<div class=\"zform\">
  <textarea onselect=\"javascript:storeCaret();\" onclick=\"javascript:storeCaret();preview();\" onkeyup=\"javascript:storeCaret();preview();\" name=\"texte\" id=\"texte\" rows=\"10\">" . $form_champ_texte . "</textarea>
  <div id=\"preview_texte\" class=\"preview\"></div>
</div>

</fieldset>

<p class=\"cleaner\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" accesskey=\"s\" /></p>

</form>
";

?>